<?php

namespace Ticket;

use Illuminate\Database\Eloquent\Model;
use DB;

class Ticket extends Model
{
    //
    protected static function getModelByOem($id) {
    $models = DB::table('oemmodels')->select("mod_name","id")
                ->where("oem_id", '=', $id)->get();

              // $queries = DB::getQueryLog();
          // echo '<pre>'; print_r($queries);die;
    return $models;
  }
    protected static function getClientByLoc($id) {
    $models = DB::table('customers')->select("c_name","id",'cmpy_name')
                ->where("loc_id", '=', $id)->get();

              // $queries = DB::getQueryLog();
          // echo '<pre>'; print_r($queries);die;
    return $models;
  }
  protected static function getLocByClient($id) {
    $locs = DB::table('customers')->select("loc_id","id","c_name","c_email")
                ->where("id", '=', $id)->first();

              // $queries = DB::getQueryLog();
          // echo '<pre>'; print_r($queries);die;
    return $locs;
  }
    protected static function getOemname() {
   $results = DB::table('masters')
   ->select('masters.id','masters.oem_id','masters.mod_id','masters.loc_id','masters.prt_no','masters.prt_desc','masters.prt_qty','masters.sn','oems.oem_name','oemmodels.mod_name','locations.loc_name')
   ->join('oems', 'oems.id', '=', 'masters.oem_id')
   ->join('oemmodels', 'oemmodels.id', '=', 'masters.mod_id')
   ->join('locations', 'locations.id', '=', 'masters.loc_id')
   ->where('oems.oem_status', '=', '1')
   ->get(); // Notice the shares.* here
   //var_dump($results); die;

  return $results;
  }
  
   protected static function getPartsbyCus($id,$omid,$mdlid) {
    $parts = DB::table('masters')->select("masters.prt_desc","masters.id","assets.id as ast_id")
    ->join('assets', 'masters.id', '=', 'assets.mas_id')
    ->where("assets.c_id", '=', $id)
    ->where("oem_id", '=', $omid)
    ->where("mod_id", '=', $mdlid)->get();
    return $parts;
  }
  protected static function getPartno($id) {
     $partno = DB::table('masters')->select("masters.id","masters.prt_no","masters.serial_no","masters.prt_desc")
     ->join('tickets', 'masters.id', '=', 'tickets.mas_id')
                ->where("tickets.id", '=', $id)->first();
    return $partno;
  }
   protected static function getattach($id) {
     $attac = DB::table('attachments')->select("att_name")
                ->where("tic_id", '=', $id)->first();
    return $attac;
  } 
  protected static function getTicketdetails() {
   $results = DB::table('tickets')
   ->select('tickets.id','tickets.c_id','tickets.tic_subject','tickets.tic_desc','tickets.tic_source','tickets.tic_type','oems.oem_name','oemmodels.mod_name','masters.prt_no',/*'attachments.att_name',*/'statuses.sta_name','customers.cmpy_name')
/* ->leftjoin('assets',  'tickets.ast_id' , '=', 'assets.id')
 ->leftjoin('masters', 'masters.id', '=', 'assets.mas_id')*/
 ->leftjoin('masters', 'masters.id', '=', 'tickets.mas_id')
->leftjoin('oems', 'tickets.oem_id', '=', 'oems.id')
->leftjoin('oemmodels', 'oemmodels.id', '=', 'tickets.mod_id')
->leftjoin('customers','customers.id', '=', 'tickets.c_id')
//->join('locations', 'locations.id', '=', 'masters.loc_id')
   //->join('attachments', 'attachments.tic_id', '=', 'tickets.id')
   ->leftjoin('statuses','statuses.id', '=', 'tickets.tic_status')
   //->where('tickets.tic_status', '=', '1')
   ->get(); // Notice the shares.* here
   //var_dump($results); die;
  return $results;
}
protected static function getTicketapproval() {
   $results = DB::table('tickets')
   ->select('tickets.id','tickets.c_id','tickets.tic_subject','tickets.tic_desc','tickets.tic_source','tickets.tic_type','oems.oem_name','oemmodels.mod_name','masters.prt_no','attachments.att_name','statuses.sta_name')
 /*->leftjoin('assets', 'assets.id', '=', 'tickets.ast_id')
 ->leftjoin('masters', 'masters.id', '=', 'assets.mas_id')*/
  ->leftjoin('masters', 'masters.id', '=', 'tickets.mas_id')
->leftjoin('oems', 'tickets.oem_id', '=', 'oems.id')
->leftjoin('oemmodels', 'oemmodels.id', '=', 'tickets.mod_id')
//->join('locations', 'locations.id', '=', 'masters.loc_id')
   ->leftjoin('attachments', 'attachments.tic_id', '=', 'tickets.id')
   ->leftjoin('statuses','statuses.id', '=', 'tickets.tic_status')

   ->where('tickets.tic_status', '=', '5')
   ->get(); // Notice the shares.* here
   //var_dump($results); die;
  return $results;
}


protected static function getTicketComdetails() {
   $results = DB::table('tickets')
   ->select('tickets.id','tickets.c_id','tickets.tic_subject','tickets.tic_desc','tickets.tic_source','tickets.tic_type','oems.oem_name','oemmodels.mod_name','masters.prt_no','attachments.att_name','statuses.sta_name')
/* ->leftjoin('assets', 'assets.id', '=', 'tickets.ast_id')
 ->leftjoin('masters', 'masters.id', '=', 'assets.mas_id')*/
  ->leftjoin('masters', 'masters.id', '=', 'tickets.mas_id')
->leftjoin('oems', 'tickets.oem_id', '=', 'oems.id')
->leftjoin('oemmodels', 'oemmodels.id', '=', 'tickets.mod_id')
//->join('locations', 'locations.id', '=', 'masters.loc_id')
   ->leftjoin('attachments', 'attachments.tic_id', '=', 'tickets.id')
   ->leftjoin('statuses','statuses.id', '=', 'tickets.tic_status')

   ->where('tickets.tic_status', '=', '6')
   ->get(); // Notice the shares.* here
   //var_dump($results); die;
  return $results;
}


protected static function getTicketByID($id) {
  
   $results = DB::table('tickets')
   ->select('tickets.id','tickets.c_id','tickets.tic_subject','tickets.tic_desc','tickets.tic_source','tickets.tic_type','tickets.ast_id','tickets.created_at','masters.serial_no','oems.oem_name','oemmodels.mod_name','masters.prt_no','masters.prt_desc','locations.loc_name','customers.cmpy_name','statuses.sta_name','tickets.tic_sr_no','tickets.tic_email','tickets.tic_phn')
/* ->leftjoin('assets', 'assets.id', '=', 'tickets.ast_id')
 ->leftjoin('masters', 'masters.id', '=', 'assets.mas_id')*/
  ->leftjoin('masters', 'masters.id', '=', 'tickets.mas_id')
->leftjoin('oems', 'tickets.oem_id', '=', 'oems.id')
->leftjoin('oemmodels', 'oemmodels.id', '=', 'tickets.mod_id')
->leftjoin('locations', 'locations.id', '=', 'tickets.loc_id')
->leftjoin('customers','customers.id', '=', 'tickets.c_id')
->leftjoin('statuses','statuses.id', '=', 'tickets.tic_status')

   ->where('tickets.id', '=', $id)
   ->first(); 
  
  return $results;
}
protected static function getticketassigned($t_id,$tic_id) {
  $ticketassign = DB::table('transactions')->select("id")
                ->where("tc_id", '=', $t_id)
                ->where("tic_id", '=', $tic_id)
                ->first();
                if($ticketassign)
                  return 1;
                else
                  return 0;
  }
  protected static function getTicketdetailsByid($id=null) {
   $results = DB::table('tickets')
   ->select('tickets.id','tickets.tic_subject','tickets.tic_desc','tickets.tic_source','tickets.tic_type','oems.oem_name','oemmodels.mod_name','masters.prt_no','attachments.att_name', 'customers.cmpy_name')
 /*->leftjoin('assets', 'assets.id', '=', 'tickets.ast_id')
 ->leftjoin('masters', 'masters.id', '=', 'assets.mas_id')*/
  ->leftjoin('masters', 'masters.id', '=', 'tickets.mas_id')
->leftjoin('oems', 'tickets.oem_id', '=', 'oems.id')
->leftjoin('oemmodels', 'oemmodels.id', '=', 'tickets.mod_id')
//->join('locations', 'locations.id', '=', 'masters.loc_id')
->leftjoin('attachments', 'attachments.tic_id', '=', 'tickets.id')
->leftjoin('customers','customers.id', '=', 'tickets.c_id')
   ->where('tickets.id', '=', $id)
   ->get(); // Notice the shares.* here
   //var_dump($results); die;
  return $results;
}
protected static function getTicketdetailsByCus($id=null) {
   $results = DB::table('tickets')
   ->select('tickets.id','tickets.tic_subject','tickets.tic_desc','tickets.tic_source','tickets.tic_type','oems.oem_name','oemmodels.mod_name','masters.prt_no'/*,'attachments.att_name'*/)
 /*->leftjoin('assets', 'assets.id', '=', 'tickets.ast_id')
 ->leftjoin('masters', 'masters.id', '=', 'assets.mas_id')*/
  ->leftjoin('masters', 'masters.id', '=', 'tickets.mas_id')
->leftjoin('oems', 'tickets.oem_id', '=', 'oems.id')
->leftjoin('oemmodels', 'oemmodels.id', '=', 'tickets.mod_id')
//->join('locations', 'locations.id', '=', 'masters.loc_id')

   ->where('tickets.c_id', '=', $id)
   ->get(); // Notice the shares.* here
   //var_dump($results); die;
  return $results;
}

/*engg module*/

protected static function getTicketdetailsByTech($id=null) {
   $results = DB::table('tickets')
   ->select('tickets.id','tickets.tic_subject','tickets.tic_desc','tickets.tic_source','tickets.tic_type','tickets.tic_sr_no','tickets.tic_email','tickets.tic_phn','oems.oem_name','oemmodels.mod_name','masters.prt_no','customers.cmpy_name'/*,'attachments.att_name'*/)
 /*->leftjoin('assets', 'tickets.ast_id', '=', 'assets.id')
 ->leftjoin('masters', 'assets.mas_id', '=', 'masters.id')*/
  ->leftjoin('masters', 'masters.id', '=', 'tickets.mas_id')
->leftjoin('oems', 'tickets.oem_id', '=', 'oems.id')
->leftjoin('oemmodels', 'oemmodels.id', '=', 'tickets.mod_id')
 //->join('attachments', 'attachments.tic_id', '=', 'tickets.id')
 ->join('transactions', 'transactions.tic_id', '=', 'tickets.id')
 ->leftjoin('customers','customers.id', '=', 'tickets.c_id')
//->join('locations', 'locations.id', '=', 'masters.loc_id') 

  ->where('transactions.tc_id', '=', $id)

  ->get(); // Notice the shares.* here
   //var_dump($results); die;
  return $results;
}

/*endshere*/

protected static function upd_att($id,$name){
  $results = DB::table('attachments')
            ->where('id', $id)
            ->update(['att_name' => $name]);
             return $results;
}

protected static function getEmail($id) {
     $attac = DB::table('teches')->select("tc_email")
                ->where("id", '=', $id)->first();
    return $attac;
  } 



// protected static function getMasIdByCust($id){
//   $master = DB::table('assets')->select("id","mas_id")
//                 ->where("c_id", '=', $id)->get();
//     return $master;

// }


// protected static function getPartByMasId($id){
//   $part = DB::table('masters')->select('id','prt_no')
//                 ->where("id", '=', $id)->get();
//     return $part;

// }

protected static function getAllassetByCid($id){
  $assets = DB::table('assets')->select('assets.id as assId','assets.mas_id','assets.qty','masters.id as masId','masters.prt_no')
    ->join('masters', 'masters.id', '=', 'assets.mas_id')
                ->where("assets.c_id", '=', $id)->get();
    return $assets;

}

protected static function getAllStatus(){

  $sta = DB::table('statuses')->select('id','sta_name','sta_status')
                ->whereIn('id',[3,4,5])
                ->get();

                //print_r($sta); exit();
    return $sta;

}

protected static function getFereports($id) {
  
   $results = DB::table('reports')
   ->select('reports.id','reports.tic_id','reports.ser_type','reports.pto_id','reports.multiple_visit','reports.slr_meets','reports.fe_upload','times.tdate','times.start_time','times.end_time','times.travel_time','times.arr_site_time','times.dep_site_time')
 //->join('statuses', 'statuses.id', '=', 'reports.sta_id')
 ->join('times', 'times.rep_id', '=', 'reports.id')
 //,'reports.tdate','reports.start_time','reports.end_time','reports.travel_time','reports.arr_site_time','reports.dep_site_time'
//  ->join('masters', 'masters.id', '=', 'assets.mas_id')
// ->join('oems', 'oems.id', '=', 'masters.oem_id')
// ->join('oemmodels', 'oemmodels.id', '=', 'masters.mod_id')
// ->join('locations', 'locations.id', '=', 'tickets.loc_id')
// ->join('customers','customers.id', '=', 'tickets.c_id')

   ->where('reports.tic_id', '=', $id)
   ->get(); 
  //print_r($results); exit();
  return $results;
}
protected static function getCatName($id){
  $assets = DB::table('assets')->select('categories.id','categories.cat_name','serials.serial_no','serials.id as ser_id')
    ->join('masters', 'masters.id', '=', 'assets.mas_id')
     ->join('categories', 'masters.cat_id', '=', 'categories.id')
      ->join('serials', 'masters.serial_id', '=', 'serials.id')
                ->where("assets.id", '=', $id)->first();
    return $assets;

}

protected static function getCustNamebyTicId($tid){

    $cname = DB::table('tickets')->select('tickets.id', 'customers.c_name', 'customers.cmpy_name')
    ->join('customers','customers.id', '=', 'tickets.c_id')
                ->where("tickets.id", '=', $tid)->get();
    return $cname;


}

}
