@extends('layouts.dashboard')

@section('content')
<!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        Ticket Details
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li><a href="view_ticket.html">View Ticket</a></li>
                        <li class="active">Ticket Details</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-md-12">
                          <div class="box box-danger">
                                <div class="box-header">
                                    <h3 class="box-title">Ticket Details</h3>
                                </div>
                                <div class="box-body">
                                <div class="col-md-6">
                                    <div class="box box-solid">
                                        <div class="box-body">
                                            <dl class="dl-horizontal">
                                                <dt>Ticket ID</dt>
                                                <dd>TIC000<?php echo $tickets->id?></dd>
                                                
                                                <dt>Customer Name</dt>
                                                <dd><?php echo $tickets->cmpy_name?></dd>
                                                
                                                <dt>Location</dt>
                                                <dd><?php echo $tickets->loc_name?></dd>
                                                
                                                <dt>Ticket Subject</dt>
                                                <dd><?php echo $tickets->tic_subject?></dd>

                                                <dt>Ticket Description</dt>
                                                <dd><?php echo $tickets->tic_desc?></dd>
                                                <dt>Ticket Type</dt>
                                                <dd><?php echo $tickets->tic_type?></dd>
                                                <dt> Email</dt>
                                                <dd><?php echo $tickets->tic_email?></dd>
                                                <dt> Phone No</dt>
                                                <dd><?php echo $tickets->tic_phn?></dd>
                                                                                              
                                            </dl>
                                        </div><!-- /.box-body -->
                                    </div><!-- /.box -->
                            </div>
                                
                                <div class="col-md-6">
                                    <div class="box box-solid">
                                        <div class="box-body">
                                            <dl class="dl-horizontal">
                                             
                                                <dt>OEM</dt>
                                                <dd><?php echo $tickets->oem_name ? : 'Nill'?></dd>
                                                
                                                
                                                <dt>Model</dt>
                                                <dd><?php echo $tickets->mod_name ? : 'Nill' ?></dd>

                                                <dt>Status</dt>
                                                <dd><?php echo $tickets->sta_name?></dd>
                                                
                                                
                                               <dt>Part Description</dt>
                                                <dd><?php echo $tickets->prt_desc ? : 'Nill' ?></dd>
                                                
                                               
                                                <dt>Part Number</dt>
                                                <dd><?php echo  $tickets->prt_no ? : 'Nill' ?></dd>
                                                 <dt>Serial Number</dt>
                                                <dd><?php echo $tickets->tic_sr_no?></dd>
                                                
                                                
                                               <dt>Create date</dt>
                                                <dd><?php echo $tickets->created_at?></dd>
                                                
                                            </dl>
                                        </div><!-- /.box-body -->
                                    </div><!-- /.box -->
                            </div>
                                <div class="col-md-12">
                                    <div class="box box-solid">
                                        <div class="box-body">
                                            <div class="box-header">
                                    <h3 class="box-title">Assign Ticket to Engineer</h3>
                                    
                                </div>
                                     {{ Form::open(array('action' => 'TicketController@techadd','id'=>'formTech', 'class' => 'form-horizontal form-label-left', 'enctype' => 'multipart/form-data')) }}
              {{ csrf_field() }}
              <div class="col-lg-12" style="margin:5px 0px;">
              <input type="hidden" name="tic_id" value="<?php echo $tickets->id?>">
                                    <div class="form-group">
                                                <label>Select Engineers</label><br>
                                                <select id="techs" name="techs[]" multiple="multiple">
                                                   @foreach ($techs as $tech)
                              <option value="{{$tech->id}}">{{$tech->tc_name}}</option>
                              @endforeach
                                                </select>
                                                </div>
                                    <div class="form-group">
                                      <label>Brief Description</label>
                                      <textarea class="form-control" rows="3" name="description" placeholder="Description"></textarea>
                                    </div>
                                    <div align="left" style="margin:10px 0px 20px;">
                                      <button type="submit" class="btn btn-danger">Assign Ticket</button>
                                    </div>
                                    </div>

                                         {!! Form::close() !!}       
                                            
                                        </div><!-- /.box-body -->
                                    </div><!-- /.box -->
                            </div>
                                </div><!-- /.box-body -->
                            </div><!-- /.box -->

                            <!-- /.box -->

                        </div><!-- /.col (left) -->
                    </div><!-- /.row -->                    
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
             @endsection
