@extends('layouts.tdashboard')
@section('content')
<!-- Right side column. Contains the navbar and content of the page -->
<aside class="right-side">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            View Customer
        </h1>
        <ol class="breadcrumb">
            <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">View Customer</li>
        </ol>
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-xs-12">
                <div class="box box-danger">
                    <div class="box-header">
                        <h3 class="box-title">View Customer</h3>
                    </div><!-- /.box-header -->
                    <div class="box-body table-responsive">
                    <a href="/ticket/customer/create">  <button type="submit" class="btn btn-danger pull-right">Add Customer</button></a>
                        <table id="example2" class="table table-bordered table-hover">
                            <thead style="background:#e9e9e9;">
                                <tr>
                                    <th width="5%">No#</th>
                                    <th>Company Name</th>
                                    <th>Contact Person</th>
                                    
                                    <th>Location</th>
                                    <th>Contract Type</th>
                                    <!-- <th width="15%">Status </th> -->
                                    <th width="19%">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($customers as $index => $element)
                                <tr>
                                      <td>{{$index+1}}</td>
                                      <td><a href="{{ url('tshow', array('id' => $element->id)) }}">{{$element->cmpy_name}}</a></td>
                                    <td>{{$element->c_name}}</td>
                                    <td>{{$element->loc_name}}</td>
                                    <td>{{$element->cont_name}}</td>
                                    <!-- <td><div class="activeTab">
                                      <a class="active_btn"><button class="edit-modal btn btn-success"> <span class="glyphicon glyphicon-ok-sign"></span> Active </button></a>
                                                                              <a><button class="delete-modal btn btn-warning"> <span class="glyphicon glyphicon-minus-sign"></span> Inactive </button></a>
            </div></td> -->
            <td>
              <a class="btn btn-primary" href="{{ url('tcustedit', $element->id) }}">
<span class="glyphicon glyphicon-edit"></span> Edit
</a>
{{ Form::open(array('method'
=> 'GET', 'action' => ['CustomerController@tdestroy', $element->id], 'style' => 'display:inline !important;')) }}<button class="btn btn-danger" data-id="{{$element->id}}" data-title="{{$element->c_name}}">
<span class="glyphicon glyphicon-trash"></span> Delete
</button>

{!! Form::close() !!}
            </td>
                                </tr>
                                @endforeach


                            </tbody>
                        </table>
                    </div><!-- /.box-body -->
                </div><!-- /.box -->

            </div>
        </div>

    </section><!-- /.content -->
</aside><!-- /.right-side -->
@endsection
