@extends('layouts.tdashboard')
@section('content')
<script type="text/javascript">

$(document).ready(function() {

var basePath = "<?php echo URL::to('/'); ?>";

$('select[name="cat_id"]').on('change', function() {

  var catId = $(this).val();

  if(catId) {
  //console.log(oemId);
  //for the listing
  var mdl = 0;
  
      $.ajax({

          url: basePath+'/formserial/ajax/'+catId,

          type: "GET",

          dataType: "json",

          success:function(data) {

//console.log('hdhdhshd');
//console.log(data);

              $('select[name="serial_id"]').empty();
              $('select[name="serial_id"]').append('<option disabled selected> Select Serial No</option>');
              $.each(data, function(key, value) {

                  $('select[name="serial_id"]').append('<option value="'+ value.id +'">'+ value.serial_no +'</option>');
//$('select[name="example2"]').append('<option value="'+ value.id +'">'+ value.mod_name +'</option>');
              });


          }

      });

  }else{

      $('select[name="serial_id"]').empty();

  }

});
});
</script>

 <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        Add OEM
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active">Add OEM</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-md-12">

                            <div class="box box-danger">
                                <div class="box-header">
                                    <h3 class="box-title">Original Equipment Manufacture (OEM)</h3>
                                </div>
                                <div class="box-body">
                               
                                        

<!--  <form class="form-horizontal" role="form" method="PUT" action="{{ url('oem/store') }}"> -->

{!! Form::open(['action' => 'OemController@tstore', 'method' => 'post', 'style' => 'display:inline !important;']) !!}
 {{ csrf_field() }}
  <div class="col-md-3">
 <div class="form-group">
<div class="form-group">
                          <label>Choose Asset</label>
                          <select class="form-control" name="cat_id" id="cat_id">
                            <option value="">Select Asset</option>
                             @foreach ($cats as $cat)
                            <option value="{{ $cat->id}}">{{$cat->cat_name}}</option>
                            @endforeach
                          </select>
                        </div>
                                        

                </div>
                </div>
                 <div class="col-md-3">
                      
                      <div class="form-group">
                          <label>Choose Serial No</label>
                          <select class="form-control" name="serial_id" id="serial_id">
                            <option value="">Select</option>
                            
                          </select>
                        </div>
                        </div>
                <div class="col-md-6">
                <label>Enter OEM Name</label>
                    <div class="input-group">
                                            <div class="input-group-addon">
                                                <i class="fa fa-map-marker" aria-hidden="true"></i>
                                            </div>
                                            
                                            <input type="text" class="form-control" style="float:left; width:75%; margin-right:5px;" name="oem_name" required />
                                            <button type="submit" class="btn btn-danger">Add OEM</button>
                                        </div>
                                        {!! Form::close() !!}


                                    </div>

                </div>
                                <div class="col-md-12" style="margin-bottom:20px;">


                                    <table id="example2" class="table table-bordered table-hover">
                                            <thead style="background:#e9e9e9;">
                                                <tr>
                                                    <th width="15%">No#</th>
                                                     <th width="20%">Asset</th>
                                                     <th width="15%">Serial No</th>
                                                    <th width="20%">OEM</th>
                                                    <th width="20%">Action </th>
                                                   <!--  <th width="25%">Status</th> -->
                                                </tr>
                                            </thead>
                                            <tbody>
                                            @foreach ($categories as $index => $element)
                                                <tr>
                                                    <td>{{$index+1}}</td>
                                                    <td>{{$element->cat_name}}</td>
                                                    <td>{{$element->serial_no}}</td>
                                                    <td>{{$element->oem_name}}</td>
                                                    <!-- <td><div class="activeTab">
                                        <a class="active_btn"><button class="edit-modal btn btn-success"> <span class="glyphicon glyphicon-ok-sign"></span> Active </button></a>
                                        <a><button class="delete-modal btn btn-warning"> <span class="glyphicon glyphicon-minus-sign"></span> Inactive </button></a>
              </div></td> -->
                             <td>
                              
           {!! Form::open(['action' => ['OemController@tdestroy', $element->id],'method'=> 'GET'] )!!}
           <a class="btn btn-primary" href="{{ url('toemedit', $element->id) }}">
             <span class="glyphicon glyphicon-edit"></span> Edit
           </a>
<button class="btn btn-danger" data-id="{{$element->id}}" data-title="{{$element->oem_name}}">
              <span class="glyphicon glyphicon-trash"></span> Delete
            </button>
{!! Form::close() !!}
 
                            </td>
                                                </tr>
                                                @endforeach

                                            </tbody>
                                        </table>
                                </div>
                                </div><!-- /.box-body -->
                            </div><!-- /.box -->

                            <!-- /.box -->

                        </div><!-- /.col (left) -->
                    </div><!-- /.row -->

                </section><!-- /.content -->
            </aside><!-- /.right-side -->

@endsection
