<?php

namespace Ticket\Console\Commands;

use Illuminate\Console\Command;
use Ticket\Customer;
use DB;
use Mail;
use Ticket\Mail\AmcExperiedCust;

class AmcExpiredCus extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'email:amcexpiredcus';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'AmcExpired mail send';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $customers = Customer::getAllcussla();
       //print_r($customers);exit;
      
        //$expire = date('Y-m-d', mktime(0, 0, 0, date("m"), date("d")+20, date("Y")));
     
		foreach ($customers as $index => $element)
		{
		  
		   //$date2= date("Y-m-d", strtotime($element->c_end_date));
		   $end_date = strtotime($element->c_end_date);
		   $todate = date('Y-m-d', strtotime('+335 days', $end_date));
		   $expire = date('Y-m-d');
    	     //$expire1=date_create($expire);
    		 //$date1=date_create($date2); 
    		  //echo $diff=date_diff($expire,$date2); exit; 
		   $diff=($todate-$expire);  
		   
		  if($diff==0){
			
			 $customer = Customer::getAllcusslaId($element->id); 
			// echo '<pre>';print_r($customerss);echo '</pre>'; exit;   
			// $customer = Customer::find($element->id); 
			 //echo '<pre>';print_r($customer);echo '</pre>';     
			Mail::to('soupranjali@ssquad.com')->send(new AmcExperiedCust($customer));
		  }
		}
    }
}
