<?php

namespace Ticket;

use Illuminate\Database\Eloquent\Model;
use DB;

class Oem extends Model
{
   protected $table ='oems';
   protected $fillable = ['cat_id','serial_id','oem_name', 'oem_status', 'created_at', 'updated_at'];


   protected static function getCategory() {
     $results = DB::table('categories')
     ->select('categories.id','categories.cat_name','oems.id','oems.oem_name','serials.serial_no')      
     ->join('oems', 'categories.id', '=', 'oems.cat_id')
     ->join('serials', 'serials.id', '=', 'oems.serial_id')
     ->where('categories.cat_status', '=', '1')
     ->get(); // Notice the shares.* here
    return $results;
}
protected static function getSerialByCat($id) {
    $serials = DB::table('serials')->select("serial_no","id")
                ->where("cat_id", '=', $id)->get();

              // $queries = DB::getQueryLog();
          //echo '<pre>'; print_r($queries);die;
    return $serials;
  }

  protected static function getCategoryByCust($id) {
    $serials = DB::table('parts')
                ->select("parts.cat_id","parts.id","parts.c_id","categories.cat_name","categories.id")
                ->leftjoin('categories','categories.id','=', 'parts.cat_id')
                ->where("parts.c_id", '=', $id)
                ->distinct('parts.cat_id')
                ->get();
                
              // $queries = DB::getQueryLog();
              // echo '<pre>'; print_r($queries);die;
    return $serials;
  }
}
