@extends('layouts.dashboard')

@section('content')

<!-- Right side column. Contains the navbar and content of the page -->

<aside class="right-side">

    <!-- Content Header (Page header) -->

    <section class="content-header">

        <h1>

            Add Engineers

        </h1>

        <!-- <ol class="breadcrumb">

            <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>

            <li class="active">Add Engineers</li>

        </ol> -->

    </section>



    <!-- Main content -->

    <section class="content">

        <div class="row">

            <div class="col-md-12">



                <div class="box box-danger box-widget">
                    <div class="widget-head clearfix">
                        <span class="h-icon"><i class="fa fa-align-justify"></i></span>

                        <h4 class="box-title">Add Engineers</h4>

                    </div>

                    <div class="box-body">

                      {{ Form::open(array('route' => 'tech.store','id'=>'formTech', 'class' => 'form-horizontal form-label-left', 'enctype' => 'multipart/form-data')) }}

                       {{ csrf_field() }}

                    <div class="col-md-6">

                        <div class="form-group">

                            <label>Engineer Name</label>

                            <div class="input-group">

                                <div class="input-group-addon">

                                    <i class="fa fa-map-marker" aria-hidden="true"></i>

                                </div>

                                <input type="text" class="form-control" name="enggname" id="enggname" required/>

                            </div>

                        </div>

                        <div class="form-group">

                            <label>Engineer Email</label>

                            <div class="input-group">

                                <div class="input-group-addon">

                                    <i class="fa fa-map-marker" aria-hidden="true"></i>

                                </div>

                                <input type="text" class="form-control" name="enggemail" id="enggemail" required/>

                            </div>

                        </div>

                        <div class="form-group">

                            <label>Engineer Mobile</label>

                            <div class="input-group">

                                <div class="input-group-addon">

                                    <i class="fa fa-map-marker" aria-hidden="true"></i>

                                </div>

                                <input type="text" class="form-control" name="enggmobile" id="enggmobile" required/>

                            </div>

                        </div>

                        <div class="form-group">

                            <label>Location</label>

                            <div class="input-group">

                                <div class="input-group-addon">

                                    <i class="fa fa-map-marker" aria-hidden="true"></i>

                                </div>

                                <select class="form-control" name="enggloc" id="enggloc" required>

                                  <option value="">Select</option>

                                  @foreach ($locations as $location)

                                 <option value="{{ $location->id}}">{{$location->loc_name}}</option>

                                 @endforeach

                                </select>

                            </div>

                        </div>



    </div>

                        <div class="col-md-6">

                        <div class="form-group">

                            <label>Skill Set</label>

                            <div class="input-group">

                                <div class="input-group-addon">

                                    <i class="fa fa-map-marker" aria-hidden="true"></i>

                                </div>

                                <input type="text" class="form-control" name="enggskill" id="enggskill"/>

                            </div>

                        </div>

                            <div class="form-group">

                  <label>Joining Date</label>

                  <div class="input-group date">

                    <div class="input-group-addon">

                      <i class="fa fa-calendar"></i>

                    </div>

                    <input class="form-control pull-right" id="datepicker" name="datepicker" type="text">

                  </div>

                  <!-- /.input group -->

                </div>

                <div class="form-group">

                    <label>password</label>

                    <div class="input-group">

                        <div class="input-group-addon">

                            <i class="fa fa-map-marker" aria-hidden="true"></i>

                        </div>

                        <input type="password" class="form-control" name="enggpwd" id="enggpwd" required="required"/>

                    </div>

                </div>



                        </div>

                        <div class="col-lg-12" align="center" style="margin:10px 0px 20px;">

                          <button type="submit" class="btn btn-danger">Add Engineer</button>

                            <button type="submit" class="btn bg-black">Cancel</button>

                        </div>

                        {!! Form::close() !!}

                    </div><!-- /.box-body -->

                </div><!-- /.box -->



                <!-- /.box -->



            </div><!-- /.col (left) -->

        </div><!-- /.row -->



    </section><!-- /.content -->

</aside><!-- /.right-side -->

@endsection

