@extends('layouts.tdashboard')
@section('content')
<!-- Right side column. Contains the navbar and content of the page -->
<aside class="right-side">                
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                         Manage Material Request (MRF)
                    </h1>
                    <!-- <ol class="breadcrumb">
                        <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active">View Material Request </li>
                    </ol> -->
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-xs-12">
                            <div class="box box-danger box-widget">
                                <div class="widget-head clearfix">
                                    <span class="h-icon"><i class="fa fa-align-justify"></i></span>
                                    <h4 class="box-title">View Material Request </h4>
                                </div><!-- /.box-header -->
                                <div class="box-body table-responsive">
                                    <table id="example2" class="table dt-table table-striped table-hover table-bordered matmix-dt">
                                        <thead style="background:#e9e9e9;">
                                            <tr>
                                                <th>Form No</th>
                                                <th>Service No</th>
                                                <th>Part No</th>
                                                <th>Part Desc</th>
                                                <th>Part Qty</th>
                                                <th>Remark</th>
                                                <th>Status</th>
                                                                                      
                                               
                                                
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach($materials as $index => $element)
                                            <tr>
                                                <td><a href="{{ url('materialshow', $element->id) }}" target="_blank">{{$element->form_no}}</a></td>
                                                <td>{{ $element->service_no ? : 'Nill' }}   </td>
                                                <td>{{ $element->prt_no ? : 'Nill' }}</td>
                                                <td>{{$element->prt_desc ? : 'Nill'}}</td>
                                                <td>{{$element->prt_qty ? : 'Nill' }}</td>
                                                <td>{{$element->remark}}</td>
                                                <td>{{$element->status}}</td>
                                                
                                                
                                 
                                </tr>
                                @endforeach
                                            
                                        </tbody>
                                    </table>
                                </div><!-- /.box-body -->
                            </div><!-- /.box -->
                            
                        </div>
                    </div>

                </section><!-- /.content -->
            </aside><!-- /.right-side -->
       
@endsection
