<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>TicketDESK</title>
        <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
        <!-- bootstrap 3.0.2 -->
        <?php echo e(Html::style('css/bootstrap.min.css')); ?>

        <!-- font Awesome -->
        <?php echo e(Html::style('css/font-awesome.min.css')); ?>

        <!-- Ionicons -->
        <?php echo e(Html::style('css/ionicons.min.css')); ?>

        <!-- daterange picker -->
        <?php echo e(Html::style('css/daterangepicker/daterangepicker-bs3.css')); ?>

        <!-- iCheck for checkboxes and radio inputs -->
        <?php echo e(Html::style('css/iCheck/all.css')); ?>

        <!-- Bootstrap Color Picker -->
        <?php echo e(Html::style('css/colorpicker/bootstrap-colorpicker.min.css')); ?>

        <!-- Bootstrap time Picker -->
        <?php echo e(Html::style('css/timepicker/bootstrap-timepicker.min.css')); ?>

        <!-- Theme style -->
        <?php echo e(Html::style('css/AdminLTE.css')); ?>

        <!-- bootstrap datepicker -->
        <?php echo e(Html::style('css/datepicker/datepicker3.css')); ?>


        <!-- jQuery 2.0.2 -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.0.2/jquery.min.js"></script>

        <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
        <![endif]-->
    </head>
    <body class="skin-black">
        <!-- header logo: style can be found in header.less -->
        <header class="header">
            <a href="dashboard.html" class="logo">
                <!-- Add the class icon to your logo image or logo icon to add the margining -->
                TicketDESK
            </a>
            <!-- Header Navbar: style can be found in header.less -->
            <nav class="navbar navbar-static-top" role="navigation">
                <!-- Sidebar toggle button-->
                <a href="#" class="navbar-btn sidebar-toggle" data-toggle="offcanvas" role="button">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </a>
                <div class="navbar-right">
                    <ul class="nav navbar-nav">
                        <!-- User Account: style can be found in dropdown.less -->
                        <li class="dropdown user user-menu">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                <i class="glyphicon glyphicon-user"></i>
                                <span>Jane Doe <i class="caret"></i></span>
                            </a>
                            <ul class="dropdown-menu">
                                <!-- User image -->
                                <li class="user-header bg-light-blue">
                                    <img src="img/avatar3.png" class="img-circle" alt="User Image" />
                                    <p>
                                        Jane Doe - Web Developer
                                        <small>Member since Nov. 2012</small>
                                    </p>
                                </li>
                                <!-- Menu Body -->
                                <li class="user-body">
                                    <div class="col-xs-4 text-center">
                                        <a href="#">Followers</a>
                                    </div>
                                    <div class="col-xs-4 text-center">
                                        <a href="#">Sales</a>
                                    </div>
                                    <div class="col-xs-4 text-center">
                                        <a href="#">Friends</a>
                                    </div>
                                </li>
                                <!-- Menu Footer-->
                                <li class="user-footer">
                                    <div class="pull-left">
                                        <a href="#" class="btn btn-default btn-flat">Profile</a>
                                    </div>
                                    <div class="pull-right">
                                        <a href="#" class="btn btn-default btn-flat">Sign out</a>
                                    </div>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </nav>
        </header>
        <div class="wrapper row-offcanvas row-offcanvas-left">
            <!-- Left side column. contains the logo and sidebar -->
            <aside class="left-side sidebar-offcanvas">
                <!-- sidebar: style can be found in sidebar.less -->
                <section class="sidebar">
                    <!-- Sidebar user panel -->
                    <div class="user-panel">
                        <div class="pull-left image">
                            <img src="img/avatar3.png" class="img-circle" alt="User Image" />
                        </div>
                        <div class="pull-left info">
                            <p>Hello, Jane</p>

                            <a href="#"><i class="fa fa-circle text-success"></i> Online</a>
                        </div>
                    </div>
                    <!-- search form -->
                    <form action="#" method="get" class="sidebar-form">
                        <div class="input-group">
                            <input type="text" name="q" class="form-control" placeholder="Search..."/>
                            <span class="input-group-btn">
                                <button type='submit' name='seach' id='search-btn' class="btn btn-flat"><i class="fa fa-search"></i></button>
                            </span>
                        </div>
                    </form>
                    <!-- /.search form -->
                    <!-- sidebar menu: : style can be found in sidebar.less -->
                    <ul class="sidebar-menu">
                        <li>
                            <a href="dashboard.html">
                                <i class="fa fa-dashboard"></i> <span>Dashboard</span>
                            </a>
                        </li>
                        <li class="treeview">
                            <a href="#">
                                <i class="fa fa-bar-chart-o"></i>
                                <span>Manage Locations</span>
                                <i class="fa fa-angle-left pull-right"></i>
                            </a>
                            <ul class="treeview-menu">
                                <li><a href="add_location.html"><i class="fa fa-angle-double-right"></i>Add Location</a></li>
                                <li><a href="edit_location.html"><i class="fa fa-angle-double-right"></i>Edit Location</a></li>
                                <li><a href="view_location.html"><i class="fa fa-angle-double-right"></i>View Location</a></li>
                            </ul>
                        </li>
                        <li class="treeview">
                            <a href="#">
                                <i class="fa fa-laptop"></i>
                                <span>Manage Customers</span>
                                <i class="fa fa-angle-left pull-right"></i>
                            </a>
                            <ul class="treeview-menu">
                                <li><a href="add_customer.html"><i class="fa fa-angle-double-right"></i>Add Customer</a></li>
                                <li><a href="edit_customer.html"><i class="fa fa-angle-double-right"></i>Edit Customer</a></li>
                                <li><a href="view_customer.html"><i class="fa fa-angle-double-right"></i>View Customer</a></li>
                            </ul>
                        </li>
                        <li class="treeview">
                            <a href="#">
                                <i class="fa fa-edit"></i> <span>Manage Assets</span>
                                <i class="fa fa-angle-left pull-right"></i>
                            </a>
                            <ul class="treeview-menu">
                                <li><a href="add_oem.html"><i class="fa fa-angle-double-right"></i>Add OEM</a></li>
                                <li><a href="oem_list.html"><i class="fa fa-angle-double-right"></i>OEM List</a></li>
                                <li><a href="add_models.html"><i class="fa fa-angle-double-right"></i>Add Models</a></li>
                                <li><a href="add_asset_master.html"><i class="fa fa-angle-double-right"></i>Add Asset Master</a></li>
                                <li><a href="allocate_asset.html"><i class="fa fa-angle-double-right"></i>Allocate Asset to Customer</a></li>
                                <li><a href="csv_upload.html"><i class="fa fa-angle-double-right"></i>CSV asset upload</a></li>
                            </ul>
                        </li>
                        <li class="treeview active">
                            <a href="#">
                                <i class="fa fa-table"></i> <span>Manage Engineers</span>
                                <i class="fa fa-angle-left pull-right"></i>
                            </a>
                            <ul class="treeview-menu">
                                <li><a href="add_engg.html"><i class="fa fa-angle-double-right"></i>Add Engineers</a></li>
                                <li><a href="edit_engg.html"><i class="fa fa-angle-double-right"></i>Edit Engineer</a></li>
                                <li><a href="view_engg.html"><i class="fa fa-angle-double-right"></i>View all Engineer</a></li>
                            </ul>
                        </li>
                        <li class="treeview">

                            <a href="#">
                                <i class="fa fa-table"></i> <span>Manage Tickets</span>
                                <i class="fa fa-angle-left pull-right"></i>
                            </a>
                            <ul class="treeview-menu">
                                <li><a href="view_ticket.html"><i class="fa fa-angle-double-right"></i>View Tickets </a></li>
                                <li><a href="assign_ticket.html"><i class="fa fa-angle-double-right"></i>Assign Ticket to Engineer</a></li>
                                <li><a href="closing_ticket.html"><i class="fa fa-angle-double-right"></i>Closing Ticket </a></li>
                            </ul>
                        </li>
                        <li>
                            <a href="ticket_tracking.html">
                                <i class="fa fa-table"></i> <span>Ticket Tracking</span>
                            </a>
                        </li>
                        <li class="treeview">
                            <a href="#">
                                <i class="fa fa-folder"></i> <span>Reports</span>
                                <i class="fa fa-angle-left pull-right"></i>
                            </a>
                            <ul class="treeview-menu">
                                <li><a href="fsr_report.html"><i class="fa fa-angle-double-right"></i>FSR Report</a></li>
                                <li><a href="asset_report.html"><i class="fa fa-angle-double-right"></i> Asset Report</a></li>
                                <li><a href="ticket_report.html"><i class="fa fa-angle-double-right"></i>Ticket Rreport</a></li>
                            </ul>
                        </li>
                    </ul>
                </section>
                <!-- /.sidebar -->
            </aside>
        <?php echo $__env->yieldContent('content'); ?>
      </div><!-- ./wrapper -->



      <!-- Bootstrap -->
      <?php echo e(Html::script('js/bootstrap.min.js')); ?>

      <!-- InputMask -->
      <?php echo e(Html::script('js/plugins/input-mask/jquery.inputmask.js')); ?>

      <?php echo e(Html::script('js/plugins/input-mask/jquery.inputmask.date.extensions.js')); ?>

      <?php echo e(Html::script('js/plugins/input-mask/jquery.inputmask.extensions.js')); ?>

      <!-- date-range-picker -->

      <?php echo e(Html::script('js/plugins/daterangepicker/daterangepicker.js')); ?>

      <!-- bootstrap color picker -->
      <?php echo e(Html::script('js/plugins/colorpicker/bootstrap-colorpicker.min.js')); ?>

      <!-- bootstrap time picker -->
      <?php echo e(Html::script('js/plugins/timepicker/bootstrap-timepicker.min.js')); ?>

      <!-- AdminLTE App -->
      <?php echo e(Html::script('js/AdminLTE/app.js')); ?>

      <!-- bootstrap datepicker -->
      <?php echo e(Html::script('js/plugins/datepicker/bootstrap-datepicker.js')); ?>


      <!-- Page script -->
      <script type="text/javascript">
          $(function() {
              //Datemask dd/mm/yyyy
              $("#datemask").inputmask("dd/mm/yyyy", {"placeholder": "dd/mm/yyyy"});
              //Datemask2 mm/dd/yyyy
              $("#datemask2").inputmask("mm/dd/yyyy", {"placeholder": "mm/dd/yyyy"});
              //Money Euro
              $("[data-mask]").inputmask();

              //Date range picker
              $('#reservation').daterangepicker();
              //Date range picker with time picker
              $('#reservationtime').daterangepicker({timePicker: true, timePickerIncrement: 30, format: 'MM/DD/YYYY h:mm A'});
              //Date range as a button
              $('#daterange-btn').daterangepicker(
                      {
                          ranges: {
                              'Today': [moment(), moment()],
                              'Yesterday': [moment().subtract('days', 1), moment().subtract('days', 1)],
                              'Last 7 Days': [moment().subtract('days', 6), moment()],
                              'Last 30 Days': [moment().subtract('days', 29), moment()],
                              'This Month': [moment().startOf('month'), moment().endOf('month')],
                              'Last Month': [moment().subtract('month', 1).startOf('month'), moment().subtract('month', 1).endOf('month')]
                          },
                          startDate: moment().subtract('days', 29),
                          endDate: moment()
                      },
              function(start, end) {
                  $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
              }
              );

      //Date picker
        $('#datepicker').datepicker({
            autoclose: true
        });
        //Date picker
          $('#datepicker2').datepicker({
              autoclose: true
          });
              //iCheck for checkbox and radio inputs
              $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                  checkboxClass: 'icheckbox_minimal',
                  radioClass: 'iradio_minimal'
              });
              //Red color scheme for iCheck
              $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                  checkboxClass: 'icheckbox_minimal-red',
                  radioClass: 'iradio_minimal-red'
              });
              //Flat red color scheme for iCheck
              $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                  checkboxClass: 'icheckbox_flat-red',
                  radioClass: 'iradio_flat-red'
              });

              //Colorpicker
              $(".my-colorpicker1").colorpicker();
              //color picker with addon
              $(".my-colorpicker2").colorpicker();

              //Timepicker
              $(".timepicker").timepicker({
                  showInputs: false
              });
          });
      </script>

  </body>
</html>
