<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>SSQUAD - Material Request Form</title>
<style>
.report_period {
  margin:0px;
  padding:5px 10px;
  font-family:"Trebuchet MS", Arial, Helvetica, sans-serif;
  font-size:14px;
  color:#666;
  border-bottom:solid 1px #333;
}
.report_period2 {
  margin:0px;
  padding:5px 10px;
  font-family:"Trebuchet MS", Arial, Helvetica, sans-serif;
  font-size:14px;
  color:#fff;
  border-bottom:solid 1px #333;
}
.report_period_head {
  font-size:13px;
  font-weight:bold;
  color:#333;
  margin:0px;
  padding:0px;
}
.CustomerTable {
  margin:0px;
  padding:10px;
  border:solid 1px #333;
}
.TicketTable {
  margin:0px;
  border:solid 1px #333;
}
.table_head {
  background:#F00;
  color:#fff;
}

.table_head td {
  border-right:solid 1px #333;
  padding:5px 10px;
  font-size:14px;
  font-weight:bold;
}
.table_head .last {
  border-right:none !important;
}
.table_cont td {
  border-bottom:solid 1px #333;
  border-right:solid 1px #333;
  padding:5px 10px;
}
.last_bottom td {
  border-bottom:none !important;
  border-right:solid 1px #333;
  padding:5px 10px;
}
.table_cont .last {
  border-right:none !important;
}
.last_bottom .last {
  border-right:none !important;
}
.canvasjs-chart-credit {
  display:none;
}

.TicketDetail {
  position:relative;
  top:380px;
}
h1 {
  font-size:25px; 
  font-family:Verdana, Geneva, sans-serif; 
  color:#333; 
  text-transform:uppercase;
  font-weight:bold;
}

table {
  border:solid 1px #333;
}
.border_right {
  border-right:solid 1px #333;
}

</style>

</head>

<body>
<table width="1000" border="0" cellspacing="0" cellpadding="0" align="center">
  <tr>
    <td height="5" colspan="3" align="left" valign="top" bgcolor="#ff0000"></td>
  </tr>
  
  
  <tr>
    <td height="50" colspan="3" align="center" valign="middle" bgcolor="#CCCCCC">
      <img src="<?php echo URL::to('/');?>/img/logomrf.png" width="150" style="float:left; padding-top:5px;" />
      <h1>Material Request Form</h1>
    </td>
  </tr>
  <tr>
    <td colspan="3" class="report_period" align="right">
      <span class="report_period_head">FORM NUMBER : </span> <?php echo e($materials->form_no); ?>

    </td>
  </tr>
  <tr>
    <td class="report_period border_right">
      <span class="report_period_head">REQ NO : </span> 000<?php echo e($materials->id); ?>

    </td>
    <td class="report_period border_right">
      <span class="report_period_head">REQ DATE : </span> <?php echo e(date('Y-m-d',strtotime($materials->created_at))); ?>

    </td>
    <td class="report_period">
      <span class="report_period_head">REQ TIME : </span> <?php echo e(date('H:i:s',strtotime($materials->created_at))); ?>

    </td>
  </tr>
  <tr>
    <td colspan="3" class="report_period">&nbsp;</td>
  </tr>
  <tr>
    <td colspan="2" class="report_period border_right">
      <span class="report_period_head">REQUESTED BY : </span> <?php echo e($materials->tc_name); ?>

    </td>
    <td colspan="1" class="report_period">
      <span class="report_period_head">CUSTOMER : </span> <?php echo e($materials->c_name); ?>

    </td>
  </tr>
  
  <tr>
    <td colspan="3" class="report_period">
      <table width="100%" border="0" cellspacing="0" cellpadding="0" class="TicketTable">
          <tr class="table_head">
            <td>SL NO</td>
            <td>Service Order No.</td>
            <td>Part Number</td>
            <td>Description</td>
            <td>QTY</td>
            <td class="last">REMARKS</td>
          </tr>
          <tr class="table_cont">
            <td width="10%">1</td>
            <td width="15%"><?php echo e($materials->service_no); ?></td>
            <td width="15%"><?php echo e($materials->prt_no); ?></td>
            <td width="25%"><?php echo e($materials->prt_desc); ?></td>
            <td width="10%"><?php echo e($materials->prt_qty); ?></td>
            <td width="25%" class="last"><?php echo e($materials->remark); ?></td>
          </tr>
          <tr class="table_cont">
            <td width="10%">&nbsp;</td>
            <td width="15%">&nbsp;</td>
            <td width="15%">&nbsp;</td>
            <td width="25%">&nbsp;</td>
            <td width="10%">&nbsp;</td>
            <td width="25%" class="last">&nbsp;</td>
          </tr>
          <tr class="table_cont">
            <td width="10%">&nbsp;</td>
            <td width="15%">&nbsp;</td>
            <td width="15%">&nbsp;</td>
            <td width="25%">&nbsp;</td>
            <td width="10%">&nbsp;</td>
            <td width="25%" class="last">&nbsp;</td>
          </tr>
          <tr class="table_cont">
            <td width="10%">&nbsp;</td>
            <td width="15%">&nbsp;</td>
            <td width="15%">&nbsp;</td>
            <td width="25%">&nbsp;</td>
            <td width="10%">&nbsp;</td>
            <td width="25%" class="last">&nbsp;</td>
          </tr>
          <tr class="table_cont">
            <td width="10%">&nbsp;</td>
            <td width="15%">&nbsp;</td>
            <td width="15%">&nbsp;</td>
            <td width="25%">&nbsp;</td>
            <td width="10%">&nbsp;</td>
            <td width="25%" class="last">&nbsp;</td>
          </tr>
          <tr class="table_cont">
            <td width="10%">&nbsp;</td>
            <td width="15%">&nbsp;</td>
            <td width="15%">&nbsp;</td>
            <td width="25%">&nbsp;</td>
            <td width="10%">&nbsp;</td>
            <td width="25%" class="last">&nbsp;</td>
          </tr>
          <tr class="table_cont">
            <td width="10%">&nbsp;</td>
            <td width="15%">&nbsp;</td>
            <td width="15%">&nbsp;</td>
            <td width="25%">&nbsp;</td>
            <td width="10%">&nbsp;</td>
            <td width="25%" class="last">&nbsp;</td>
          </tr>
          <tr class="table_cont">
            <td width="10%">&nbsp;</td>
            <td width="15%">&nbsp;</td>
            <td width="15%">&nbsp;</td>
            <td width="25%">&nbsp;</td>
            <td width="10%">&nbsp;</td>
            <td width="25%" class="last">&nbsp;</td>
          </tr>
          <tr class="table_cont">
            <td width="10%">&nbsp;</td>
            <td width="15%">&nbsp;</td>
            <td width="15%">&nbsp;</td>
            <td width="25%">&nbsp;</td>
            <td width="10%">&nbsp;</td>
            <td width="25%" class="last">&nbsp;</td>
          </tr>
          <tr class="last_bottom">
            <td width="10%">&nbsp;</td>
            <td width="15%">&nbsp;</td>
            <td width="15%">&nbsp;</td>
            <td width="25%">&nbsp;</td>
            <td width="10%">&nbsp;</td>
            <td width="25%" class="last">&nbsp;</td>
          </tr>
        </table>

    </td>
  </tr>
  <tr bgcolor="#CC0000">
    <td align="center" class="report_period2 border_right">REQUESTER SIGNATURE</td>
    <td align="center" class="report_period2 border_right"> MANAGER - STORE</td>
    <td align="center" class="report_period2">DIRECTOR</td>
  </tr>
  <tr>
    <td class="report_period border_right"><?php echo e($materials->tc_name); ?></td>
    <td class="report_period border_right">&nbsp;</td>
    <td class="report_period">&nbsp;</td>
  </tr>
  <tr>
    <td class="report_period border_right">
      <span class="report_period_head">DATE : </span> <?php echo e(date('Y-m-d',strtotime($materials->created_at))); ?>

    </td>
    <td class="report_period border_right">
      <span class="report_period_head">DATE : </span> 
    </td>
    <td class="report_period">
      <span class="report_period_head">DATE : </span> 
    </td>
  </tr>
  
</table>
</body>
</html>
