<?php $__env->startSection('content'); ?>

 <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        Add State
                    </h1>
                    <!-- <ol class="breadcrumb">
                        <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active">Add State</li>
                    </ol> -->
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-md-12">

                            <div class="box box-danger box-widget">
                                <div class="widget-head clearfix">
                                    <span class="h-icon"><i class="fa fa-align-justify"></i></span>
                                    <h4>Add State</h4>
                                </div>
                                <div class="box-body">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        

<!--  <form class="form-horizontal" role="form" method="PUT" action="<?php echo e(url('oem/store')); ?>"> -->
<?php echo e(Form::open(array('route' => 'managestate.store','id'=>'formState', 'class' => 'form-horizontal form-label-left', 'enctype' => 'multipart/form-data'))); ?>

 <?php echo e(csrf_field()); ?>

<div class="form-group">
                          <label>Choose State</label>
                          <select class="form-control" name="con_id" id="con_id">
                            <option value="">Select Country</option>
                             <?php $__currentLoopData = $countries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country): $__env->incrementLoopIndices(); $loop = $__env->getFirstLoop(); ?>
                            <option value="<?php echo e($country->id); ?>"><?php echo e($country->con_name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getFirstLoop(); ?>
                          </select>
                        </div>
                                        

                </div>
                </div>
                <div class="col-md-6">
                <label>Enter State</label>
                    <div class="input-group">
                                            <div class="input-group-addon">
                                                <i class="fa fa-map-marker" aria-hidden="true"></i>
                                            </div>
                                            
                                            <input type="text" class="form-control" style="float:left; width:75%; margin-right:5px;" name="st_name" required />
                                            <button type="submit" class="btn btn-danger">Add State</button>
                                        </div>
                                        <?php echo Form::close(); ?>



                                    </div>

                </div>
                </div>
                <div class="box box-danger box-widget">
                                <div class="widget-head clearfix">
                                    <span class="h-icon"><i class="fa fa-table"></i></span>
                                    <h4>State List</h4>
                                </div>
                                <div class="col-md-12 box-body">

                                    <?php if($states){?>
                                    <table class="table dt-table table-striped table-hover table-bordered matmix-dt" id="st_list">
                                            <thead style="background:#e9e9e9;">
                                                <tr>
                                                    <th width="15%">No#</th>
                                                     <th width="20%">Country</th>
                                                    <th width="20%">State</th>
                                                    <th width="20%">Status</th>
                                                    <th width="20%">Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                            <?php $__currentLoopData = $states; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $element): $__env->incrementLoopIndices(); $loop = $__env->getFirstLoop(); ?>
                                                <tr>
                                                    <td><?php echo e($index+1); ?></td>
                                                    <td><?php echo e($element->con_name); ?></td>
                                                    <td><?php echo e($element->st_name); ?></td>
                                                    <?php  if($element->st_status == 1){

                                                $status = 'Active';

                                                $class = 'label label-info';

                                            } else {

                                                $status = 'In-Active';

                                                $class = 'label label-warning';

                                            } ?>
                                                   <td><div class="activeTab">
                                        <label class="<?php echo $class; ?>"><?php echo $status; ?></label>
                                        </div>
                                    </td>
                            <td>
                              <a class="btn btn-primary" href="<?php echo e(route('managestate.edit', array('id' => $element->id))); ?>">
             <span class="glyphicon glyphicon-edit"></span> Edit
           </a>
          <button class="btn btn-danger" data-id="<?php echo e($element->id); ?>" data-title="<?php echo e($element->st_name); ?>" onclick="delete_st(<?php echo $element->id ?>);">
              <span class="glyphicon glyphicon-trash"></span> Delete
            </button>

                            </td>
                                                </tr>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getFirstLoop(); ?>

                                            </tbody>
                                        </table>
                                        <?php }
                                        else{?>
                                                <table class="table table-bordered table-hover">
                                                <tr><td colspan="4">No Data</td></tr>
                                                </table>
                                        <?php  }?>
                                </div>
                                </div><!-- /.box-body -->
                            </div><!-- /.box -->

                            <!-- /.box -->

                        </div><!-- /.col (left) -->
                    </div><!-- /.row -->

                </section><!-- /.content -->
            </aside><!-- /.right-side -->

<?php $__env->stopSection(); ?>
<script type="text/javascript">

    

    function delete_st(stId) {

         swal({

            title: "Are you sure?",

            text: "You will not be able to recover this data!",

            type: "warning",

            showCancelButton: true,

            confirmButtonClass: "btn-danger",

            confirmButtonText: "Yes, delete it!",

            cancelButtonText: "No, cancel the actions!",

            closeOnConfirm: false,

            closeOnCancel: false

         },

         function(isConfirm) {

            if (isConfirm) {

               //swal("Deleted!", "State has been deleted.", "success");

               //ajax delete data to database country.destroy

               $.ajax({
                  type: "GET",
                  // url: '<?php //echo url('/delete_con')?>/'
                   url: "<?php echo e(url('/delete_st')); ?>/"+stId,
                  //data: {id:stId},

                  //dataType: "JSON",

                  success: function(data) {
                   

                    console.log(data)

                     //table.ajax.reload(null, false); //just reload table

                      $("#st_list").load(window.location + " #st_list");

                       swal("Deleted!", "State has been deleted.", "success");

                 },

                  error: function(jqXHR, textStatus, errorThrown) {
                     alert('Error deleting data');

                 }

               });

            } else {

               swal("Cancelled", "Data is safe :)", "error");

            }

         });

      }  



</script>
<?php echo $__env->make('layouts.dashboard', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>