<?php $__env->startSection('content'); ?>
<aside class="right-side">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Add Customer
        </h1>
        <ol class="breadcrumb">
            <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Add Customer</li>
        </ol>
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-md-12">

                <div class="box box-danger">
                    <div class="box-header">
                        <h3 class="box-title">Add Customer</h3>
                    </div>
                    <?php echo e(Form::open(array('action' => 'CustomerController@tstore','id'=>'formCustomer', 'class' => 'form-horizontal form-label-left'))); ?>

                     <?php echo e(csrf_field()); ?>

                    <div class="box-body">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Contact Person</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                                </div>
                                <input type="text" class="form-control" name="name" id="name" required="required" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label>Company Name</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                                </div>
                                <input type="text" class="form-control" name="com_name" id="com_name" required="required" />
                            </div>
                        </div>
                        <div class="form-group">
                          <label>Communication Address</label>
                          <textarea class="form-control" rows="1" placeholder="Address" name="address" id="address" required="required"></textarea>
                        </div>
                        <div class="form-group">
                            <label>Email ID</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                                </div>
                                <input type="text" class="form-control" name="email" id="email" required="required"/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label>Contact Number</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                                </div>
                                <input type="text" class="form-control" name="number" id="number" required="required"/>
                            </div>
                        </div>

    </div>
                        <div class="col-md-6">
                        <div class="form-group">
                            <label>Location</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                                </div>
                                <select class="form-control" name="location" id="location" required>
                                    <option>Select Location</option>
                                      <?php $__currentLoopData = $locations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $element): $__env->incrementLoopIndices(); $loop = $__env->getFirstLoop(); ?>
                                    <option value="<?php echo e($element->id); ?>"><?php echo e($element->loc_name); ?></option>
                                      <?php endforeach; $__env->popLoop(); $loop = $__env->getFirstLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                                <label>Contract Type</label>
                                <select class="form-control" name="contract" id="contract" required="required">
                                    <option>Select Contract</option>
                                    <?php $__currentLoopData = $contracts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $element): $__env->incrementLoopIndices(); $loop = $__env->getFirstLoop(); ?>
                                  <option value="<?php echo e($element->id); ?>"><?php echo e($element->cont_name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getFirstLoop(); ?>
                                </select>
                            </div>

                           
                        
                          <div class="form-group">
                              <label>password</label>
                              <div class="input-group">
                                  <div class="input-group-addon">
                                      <i class="fa fa-map-marker" aria-hidden="true"></i>
                                  </div>
                                  <input type="password" class="form-control" name="password" id="password" required="required"/>
                              </div>
                          </div>
                        </div>
                        <div class="col-lg-12" align="center" style="margin:10px 0px 20px;">
                          <button type="submit" class="btn btn-danger">Add Customer</button>
                            <button type="submit" class="btn bg-black">Cancel</button>
                        </div>

                    </div><!-- /.box-body -->
                      <?php echo Form::close(); ?>

                </div><!-- /.box -->

                <!-- /.box -->

            </div><!-- /.col (left) -->
        </div><!-- /.row -->

    </section><!-- /.content -->
</aside><!-- /.right-side -->
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
<script type="text/javascript">
    $(function () {
        $("#contract").change(function () {
            if ($(this).val() == 4) {
                $("#dvPassport").show();
            } else {
                $("#dvPassport").hide();
            }
        });
    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.tdashboard', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>