<?php

namespace Ticket\Http\Controllers;

use Illuminate\Http\Request;
use Ticket\Customer;
use Ticket\Location;
use Ticket\Login;
use Ticket\Asset;
use DB;
use Mail;
use Ticket\Mail\AmcExperied;
use Ticket\Mail\SendLogintoCust;

class CustomerController extends Controller
{
  // public function __construct()
  // {
  //     $this->middleware('auth');
  // }
  public function index()
  {
       $customers = Customer::getAllcus();

       //var_dump($locations);die;
       return view("admin.customer.customerlist", compact('customers','locations'));
  }
  /*engg module*/
public function tindex()
  {
       $customers = Customer::getAllcus();

       //var_dump($locations);die;
       return view("engineer.customer.customerlist", compact('customers','locations'));
  }

  public function send_mail()
  {
       $customers = Customer::getAllcussla();
       //print_r($customers);exit;
      
        $expire = date('Y-m-d', mktime(0, 0, 0, date("m"), date("d")+20, date("Y")));
    

/*foreach ($customers as $index => $element)
    {
      
       $date2= date("Y-m-d", strtotime($element->c_end_date)); 
   //$expire1=date_create($expire);
     //$date1=date_create($date2); 
      //echo $diff=date_diff($expire,$date2); exit; 
       $diff=($expire-$date2);     
      if($diff==0){
        
         $customer = Customer::getAllcusslaId($element->id); 
        // echo '<pre>';print_r($customerss);echo '</pre>'; exit;   
        // $customer = Customer::find($element->id); 
         //echo '<pre>';print_r($customer);echo '</pre>';     
        Mail::to($element->c_email)->send(new AmcExperied($customer));
      }
    }*/


    foreach ($customers as $index => $element)
    {
      
       $date2= date("Y-m-d", strtotime($element->c_end_date)); 
   
       $diff=($expire-$date2);     
     
        
        // $customer = Customer::getAllcusslaId($element->id); 
          
        $customer = Customer::find($element->id); 
            
        Mail::to('ajo@doctorslink.in')->send(new AmcExperied($customer));
    
    }
    
  }
  /*engg ends*/
  /**
   * Show the form for creating a new resource.
   *
   * @return \Illuminate\Http\Response
   */
  public function create()
  {
    $locations = Location::all();
    $contracts = Customer::getContrat();
    //var_dump($contracts);die;
     return view("admin.customer.customercreate",compact('locations','contracts'));
  }
/*engg module*/
  public function tcreate()
  {
    $locations = Location::all();
    $contracts = Customer::getContrat();
    //var_dump($contracts);die;
     return view("engineer.customer.customercreate",compact('locations','contracts'));
  }

/*engg ends here*/
  /**
   * Store a newly created resource in storage.
   *
   * @param  \Illuminate\Http\Request  $request
   * @return \Illuminate\Http\Response
   */
  public function store(Request $request)
  {
    if ($request->isMethod('post')) {
     $this->validate($request, [
          'name' => 'bail|required|max:50',
          'com_name' => 'bail|required',
          'address' => 'bail|required',
          'email' => 'bail|required|max:50',
          'number' => 'bail|required|max:50',
     ]);



     $customer = new Customer;

         $customer->c_name     = $request->name;
         $customer->cmpy_name     = $request->com_name;
         $customer->c_address     = $request->address;
         $customer->c_email     = $request->email;
         $customer->c_phn     = $request->number;
         $customer->loc_id     = $request->location;
         $customer->c_con_type     = $request->contract;
         $customer->c_sla     = $request->sla;  
         $customer->c_pwd      = $request->password;
         $customer->c_role    = 'customer';
         $customer->c_status ='1';
         //'pwd' => bcrypt($request->password),

           if($customer->save()) {
              Login::create([
                 'user_id' =>  $customer->id,
                 'email' => $request->email,
                 'pwd' => $request->password,
                 'role' =>  'customer',
                 'log_status' => '1'
             ]);

              $customer = Customer::find($customer->id);
              // >>Mail::to($customer->c_email)->send(new SendLogintoCust($customer));
              //Mail::to('ajo@doctorslink.in')->send(new SendLogintoCust($customer));
              
             $request->session()->flash('success', 'Customer Created Successfully');
             return redirect()->route("customer.index");
           }


   }
  }

  /*engg module*/
  public function tstore(Request $request)
  {
    if ($request->isMethod('post')) {
     $this->validate($request, [
          'name' => 'bail|required|max:50',
          'com_name' => 'bail|required',
          'address' => 'bail|required',
          'email' => 'bail|required|max:50',
          'number' => 'bail|required|max:50',
     ]);



     $customer = new Customer;

         $customer->c_name     = $request->name;
         $customer->cmpy_name     = $request->com_name;
         $customer->c_address     = $request->address;
         $customer->c_email     = $request->email;
         $customer->c_phn     = $request->number;
         $customer->loc_id     = $request->location;
         $customer->c_con_type     = $request->contract;        
         $customer->c_pwd      = $request->password;
         $customer->c_role    = 'customer';
         $customer->c_status ='1';
         //'pwd' => bcrypt($request->password),

           if($customer->save()) {
              Login::create([
                 'user_id' =>  $customer->id,
                 'email' => $request->email,
                 'pwd' => $request->password,
                 'role' =>  'customer',
                 'log_status' => '1'
             ]);

              $customer = Customer::find($customer->id);
              // >>Mail::to($customer->c_email)->send(new SendLogintoCust($customer));
              //Mail::to('sandeep@ssquadglobal.com')->send(new SendLogintoCust($customer));


             $request->session()->flash('success', 'Customer Created Successfully');
             return redirect("tcustindex");
           }


   }
  }
  /*engg ends here*/

  /**
   * Display the specified resource.
   *
   * @param  int  $id
   * @return \Illuminate\Http\Response
   */
  public function show($id)
  {
      //$tickets = Ticket::getTicketByID($id);
       $customer = Customer::getCusByID($id);
       $assets = Customer::getAllAssetcus($id);
       $parts = Customer::getassetListBYcus($id);
       
    
    
         return view('admin.customer.customerdetails',compact('customer','assets','parts'));
  }
  public function tshow($id)
  {
      //$tickets = Ticket::getTicketByID($id);
       $customer = Customer::getCusByID($id);
       $assets = Customer::getAllAssetcus($id);
       $parts = Customer::getassetListBYcus($id);
    
         return view('engineer.customer.customerdetails',compact('customer','assets','parts'));
  }

  /**
   * Show the form for editing the specified resource.
   *
   * @param  int  $id
   * @return \Illuminate\Http\Response
   */
  public function edit($id)
  {
    $customer=Customer::find($id);
    $locations = Location::all();
    $contracts = Customer::getContrat();
    return view('admin.customer.customeredit',compact('customer','locations','contracts'));
  }

  /*Engg module*/
  public function tedit($id)
  {
    $customer=Customer::find($id);
    $locations = Location::all();
    $contracts = Customer::getContrat();
    return view('engineer.customer.customeredit',compact('customer','locations','contracts'));
  }

  /*Engg ends here*/

  /**
   * Update the specified resource in storage.
   *
   * @param  \Illuminate\Http\Request  $request
   * @param  int  $id
   * @return \Illuminate\Http\Response
   */
  public function update(Request $request, $id)
  {
    if ($request->isMethod('patch')) {
      $this->validate($request, [
        'name' => 'bail|required|max:50',
        'com_name' => 'bail|required',
        'address' => 'bail|required',
        'email' => 'bail|required|max:50',
        'number' => 'bail|required|max:50',
      ]);


        $customer=Customer::find($id);
        $logins = Customer::getLoginDetails($customer->id);
        $logiDetails=Login::find($logins[0]->id);
        $customer->c_name     = $request->name;
        $customer->cmpy_name     = $request->com_name;
        $customer->c_address     = $request->address;
        $customer->c_email     = $request->email;
        $customer->c_phn     = $request->number;
        $customer->loc_id     = $request->location;
        $customer->c_con_type     = $request->contract;
        $customer->c_sla     = $request->sla;        
        $customer->c_pwd      = $request->password;
        $customer->c_role    = 'customer';
        $customer->c_status ='1';
      if($customer->save()) {
        $logiDetails->user_id =  $customer->id;
        $logiDetails->email = $request->email;
        $logiDetails->pwd = $request->password;
        $logiDetails->role =  'customer';
        $logiDetails->log_status = '1';
        $logiDetails->save();
        $request->session()->flash('success', 'Customer Updated Successfully');
        return redirect()->route("customer.index");
      }

    }
  }

  /*Engg module*/
  public function tupdate(Request $request)
  {
    if ($request->isMethod('post')) {
      $this->validate($request, [
        'name' => 'bail|required|max:50',
        'com_name' => 'bail|required',
        'address' => 'bail|required',
        'email' => 'bail|required|max:50',
        'number' => 'bail|required|max:50',
      ]);


        $customer=Customer::find($request->id);
        $logins = Customer::getLoginDetails($customer->id);
        $logiDetails=Login::find($logins[0]->id);
        $customer->c_name     = $request->name;
        $customer->cmpy_name     = $request->com_name;
        $customer->c_address     = $request->address;
        $customer->c_email     = $request->email;
        $customer->c_phn     = $request->number;
        $customer->loc_id     = $request->location;
        $customer->c_con_type     = $request->contract;        
        $customer->c_pwd      = $request->password;
        $customer->c_role    = 'customer';
        $customer->c_status ='1';
      if($customer->save()) {
        $logiDetails->user_id =  $customer->id;
        $logiDetails->email = $request->email;
        $logiDetails->pwd = $request->password;
        $logiDetails->role =  'customer';
        $logiDetails->log_status = '1';
        $logiDetails->save();
        $request->session()->flash('success', 'Customer Updated Successfully');
        return redirect("tcustindex");
      } 

    }
  }
  /*engg ends here*/
  /**
   * Remove the specified resource from storage.
   *
   * @param  int  $id
   * @return \Illuminate\Http\Response
   */
  public function destroy($id)
  {
    $customer = Customer::find($id);
      if($customer->delete()){

          return redirect()->route("customer.index")->with('success', 'Deleted successfully');
      }else{
          return redirect()->route("customer.index")->with('error','Delete failed');
      }
  }

  public function tdestroy(Request $request, $id)
  {
    $customer = Customer::find($id);
      if($customer->delete()){
          $request->session()->flash('success', 'Customer deleted successfully');
            return redirect("tcustindex");

          //return redirect()->route("customer.index")->with('success', 'Deleted successfully');
      }else{
        return redirect("tcustindex");
          //return redirect()->route("customer.index")->with('error','Delete failed');
      }
  }
}
