@extends('layouts.dashboard')
@section('content')
 <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        Add Asset
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active">Add Asset</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-md-12">

                            <div class="box box-danger">
                                <div class="box-header">
                                    <h3 class="box-title">Asset</h3>
                                </div>
                                <div class="box-body">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Add Asset</label>

<!--  <form class="form-horizontal" role="form" method="PUT" action="{{ url('oem/store') }}"> -->
{{ Form::open(array('route' => 'category.store','id'=>'formCategory', 'class' => 'form-horizontal form-label-left', 'enctype' => 'multipart/form-data')) }}
 {{ csrf_field() }}

                                        <div class="input-group">
                                            <div class="input-group-addon">
                                                <i class="fa fa-map-marker" aria-hidden="true"></i>
                                            </div>
                                            <input type="text" class="form-control" style="float:left; width:75%; margin-right:5px;" name="cat_name" required />
                                            <button type="submit" class="btn btn-danger">Add Asset</button>
                                        </div>
                                        {!! Form::close() !!}


                                    </div>
                </div>
                                <div class="col-md-12" style="margin-bottom:20px;">


                                    <table id="example2" class="table table-bordered table-hover">
                                            <thead style="background:#e9e9e9;">
                                                <tr>
                                                    <th width="20%">No#</th>
                                                    <th width="40%">Asset</th>
                                                    <th width="40%">Action </th>
                                                    <!-- <th width="25%">Status</th> -->
                                                </tr>
                                            </thead>
                                            <tbody>
                                            @foreach ($categories as $index => $element)
                                                <tr>
                                                    <td>{{$index+1}}</td>
                                                    <td>{{$element->cat_name}}</td>
                                                    <!-- <td><div class="activeTab">
                                        <a class="active_btn"><button class="edit-modal btn btn-success"> <span class="glyphicon glyphicon-ok-sign"></span> Active </button></a>
                                        <a><button class="delete-modal btn btn-warning"> <span class="glyphicon glyphicon-minus-sign"></span> Inactive </button></a>
              </div></td> -->
                            <td align="center">
                              <a class="btn btn-primary" href="{{ route('category.edit', array('id' => $element->id)) }}">
             <span class="glyphicon glyphicon-edit"></span> Edit
           </a>
           {{ Form::open(array('method'
=> 'DELETE', 'route' => array('category.destroy', $element->id), 'style' => 'display:inline !important;')) }}<button class="btn btn-danger" data-id="{{$element->id}}" data-title="{{$element->cat_name}}">
              <span class="glyphicon glyphicon-trash"></span> Delete
            </button>

  {!! Form::close() !!}
                            </td>
                                                </tr>
                                                @endforeach

                                            </tbody>
                                        </table>
                                </div>
                                </div><!-- /.box-body -->
                            </div><!-- /.box -->

                            <!-- /.box -->

                        </div><!-- /.col (left) -->
                    </div><!-- /.row -->

                </section><!-- /.content -->
            </aside><!-- /.right-side -->

@endsection
