@extends('layouts.dashboard')
@section('content')
<script type="text/javascript">

$(document).ready(function() {

var basePath = "<?php echo URL::to('/'); ?>";

$('select[name="con_id"]').on('change', function() {

  var conId = $(this).val();

  if(conId) {
  //console.log(oemId);
  //for the listing
  var mdl = 0;
  
      $.ajax({

          url: basePath+'/formcity/ajax/'+conId,

          type: "GET",

          dataType: "json",

          success:function(data) {

//console.log('hdhdhshd');
//console.log(data);

              $('select[name="st_id"]').empty();
              $('select[name="st_id"]').append('<option disabled selected> Select State</option>');
              $.each(data, function(key, value) {

                  $('select[name="st_id"]').append('<option value="'+ value.id +'">'+ value.st_name +'</option>');
//$('select[name="example2"]').append('<option value="'+ value.id +'">'+ value.mod_name +'</option>');
              });


          }

      });

  }else{

      $('select[name="st_id"]').empty();

  }

});
});
</script>

<aside class="right-side">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Add City
        </h1>
        <ol class="breadcrumb">
            <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Add City</li>
        </ol>
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-md-12">

                <div class="box box-danger">
                    <div class="box-header">
                        <h3 class="box-title">Add City</h3>
                    </div>
                    <div class="box-body">
                    <div class="col-lg-12">
                    {{ Form::open(array('route' => 'city.store','id'=>'formOem', 'class' => 'form-horizontal form-label-left', 'enctype' => 'multipart/form-data')) }}
                       {{ csrf_field() }}
                    <div class="col-md-3">
                      
                      <div class="form-group">
                          <label>Choose Country</label>
                          <select class="form-control" name="con_id" id="con_id">
                            <option value="">Select</option>
                             @foreach ($countries as $country)
                            <option value="{{ $country->id}}">{{$country->con_name}}</option>
                            @endforeach
                          </select>
                        </div>
                        </div>
                        <div class="col-md-3">
                      
                      <div class="form-group">
                          <label>Choose State</label>
                          <select class="form-control" name="st_id" id="st_id">
                            <option value="">Select</option>
                            
                          </select>
                        </div>
                        </div>
                        <div class="col-md-6">
                        <div class="form-group">
                            <label>Enter City</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                                </div>
                                <input type="text" class="form-control" style="float:left; width:75%; margin-right:5px;" name="city_name" />
                                <button type="submit" class="btn btn-danger">Submit</button>
                            </div>
                        </div>
                        </div>

                        {!! Form::close() !!}
                  </div>
                    <div class="col-md-12" style="margin-bottom:20px;">
                        <table id="example2" class="table table-bordered table-hover">
                                <thead style="background:#e9e9e9;">
                                    <tr>
                                        <th width="5%">No#</th>
                                        <th width="20%">Country</th>
                                        <th width="25%">State</th>
                                        <th width="25%">City</th>
                                        <!-- <th width="15%">Status</th> -->
                                        <th width="25%">Action</th>
                                    </tr>
                                </thead>
                                <tbody>

                                  @foreach($cities as $index => $element)
                                  <tr>
                                      <td>{{$index+1}}</td>
                                      <td>{{$element->con_name}}</td>
                                      <td>{{$element->st_name}}</td>
                                      <td>{{$element->ct_name}}</td>
                                      <!-- <td><div class="activeTab">
                                        <a class="active_btn"><button class="edit-modal btn btn-success"> <span class="glyphicon glyphicon-ok-sign"></span> Active </button></a>
                                        <a><button class="delete-modal btn btn-warning"> <span class="glyphicon glyphicon-minus-sign"></span> Inactive </button></a>
              </div></td> -->
              <td>
                <a class="btn btn-primary" href="{{ route('city.edit', array('id' => $element->id)) }}">
                  <span class="glyphicon glyphicon-edit"></span> Edit
                </a>
                {{ Form::open(array('method'
=> 'DELETE', 'route' => array('city.destroy', $element->id), 'style' => 'display:inline !important;')) }}<button class="btn btn-danger" data-id="{{$element->id}}" data-title="{{$element->ct_name}}">
              <span class="glyphicon glyphicon-trash"></span> Delete
</button>

                {!! Form::close() !!}
              </td>
                                  </tr>
                                  @endforeach
                                </tbody>
                            </table>
                    </div>
                    </div><!-- /.box-body -->
                </div><!-- /.box -->

                <!-- /.box -->

            </div><!-- /.col (left) -->
        </div><!-- /.row -->

      </section><!-- /.content -->
  </aside>
@endsection
