@extends('layouts.dashboard')
@section('content')

<!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        Add OEM
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active">Add OEM</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-md-12">
                        {!! Form::model($serial,['method' => 'PATCH','route'=>['serial.update',$serial->id],'id'=>'formOemEdit', 'class' => 'form-horizontal form-label-left']) !!}
 {{ csrf_field() }}
                            <div class="box box-danger">
                                <div class="box-header">
                                    <h3 class="box-title">Update Serial Number</h3>
                                </div>
                                <div class="box-body">
                                <div class="col-md-6">
                                    <div class="form-group">
                                            <label>Choose Asset</label>
                                            <select class="form-control" name="category" id="category" required="required">
                                                <option value="">Select Asset</option>
                             @foreach ($cats as $cat)
                            <option value="{{ $cat->id}}" @if ($cat->id == $serial->cat_id) selected="selected" @endif>{{$cat->cat_name}}</option>
                            @endforeach
                                            </select>
                                     </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Enter Serial Number</label>
                                        <div class="input-group">
                                            <div class="input-group-addon">
                                                <i class="fa fa-map-marker" aria-hidden="true"></i>
                                            </div>
                                            <input type="text" class="form-control" id="serialno" name="serialno" value="{{ $serial->serial_no }}" required="required" />
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-12" align="center" style="margin:10px 0px 20px;">
                                        <button type="submit" class="btn btn-danger">Update</button>
                                        <button type="submit" class="btn bg-black">Cancel</button>
                                    </div>
                                
                                </div><!-- /.box-body -->
                            </div><!-- /.box -->

                            <!-- /.box -->
                            {!! Form::close() !!}
                        </div><!-- /.col (left) -->
                    </div><!-- /.row -->                    

                </section><!-- /.content -->
            </aside><!-- /.right-side -->

@endsection