@extends('layouts.dashboard')
@section('content')
<!-- Right side column. Contains the navbar and content of the page -->
<aside class="right-side">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            View All Engineer
        </h1>
        <ol class="breadcrumb">
            <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">View All Engineer</li>
        </ol>
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-xs-12">
                <div class="box box-danger">
                    <div class="box-header">
                        <h3 class="box-title">View All Engineer</h3>
                    </div><!-- /.box-header -->
                    <div class="box-body table-responsive">
                        <table id="example2" class="table table-bordered table-hover">
                            <thead style="background:#e9e9e9;">
                                <tr>
                                    <th>Sl No:</th>
                                    <th>Engineer</th>
                                    <th>Emil</th>
                                    <th>Mobile</th>
                                    <th>Location</th>
                                    <th>Skills</th>
                                    <th>Joining Date</th>
                                    <th>Action</th>
                                    <!-- <th>Action</th> -->
                                </tr>
                            </thead>
                            <tbody>
                              @foreach($teches as $index => $element)
                                <tr>
                                    <td>{{$index+1}}</td>
                                    <td>{{$element->tc_name}}</td>
                                    <td>{{$element->tc_email}}</td>
                                    <td>{{$element->tc_phn}}</td>
                                    <td>{{$element->loc_name}}</td>
                                    <td>{{$element->tc_skill}}</td>
                                    <td>{{$element->tc_join_date}}</td>
                                    <!-- <td><div class="activeTab">
                                      <a class="active_btn"><button class="edit-modal btn btn-success"> <span class="glyphicon glyphicon-ok-sign"></span> Active </button></a>
                                      <a><button class="delete-modal btn btn-warning"> <span class="glyphicon glyphicon-minus-sign"></span> Inactive </button></a>
                                        </div></td> -->
                                    <td><a class="btn btn-primary" href="{{ route('tech.edit', array('id' => $element->id)) }}">
                                      <span class="glyphicon glyphicon-edit"></span> Edit
                                    </a>
                                    {{ Form::open(array('method'
                    => 'DELETE', 'route' => array('tech.destroy', $element->id), 'style' => 'display:inline !important;')) }}<button class="btn btn-danger" data-id="{{$element->id}}" data-title="{{$element->tc_name}}">
                                  <span class="glyphicon glyphicon-trash"></span> Delete
                    </button>

                                    {!! Form::close() !!}</td>
                                </tr>
                                @endforeach

                            </tbody>
                        </table>
                    </div><!-- /.box-body -->
                </div><!-- /.box -->

            </div>
        </div>

    </section><!-- /.content -->
</aside><!-- /.right-side -->
@endsection
