@extends('layouts.login')
@section('content')
<div class="container">
    <div class="col-lg-1">&nbsp;</div>
    <div class="col-lg-5">
        <div class="form-box" id="login-box">
            <div class="header">Engineer Login</div>
            {{ Form::open(array('action' => 'LoginController@tlogin','id'=>'formTech', 'class' => 'form-horizontal form-label-left', 'enctype' => 'multipart/form-data')) }}
                        {{ csrf_field() }}
                <div class="body bg-gray">
                    <div class="form-group{{ $errors->has('email') ? ' has-error' : '' }}">
                       <input id="temail" type="email" class="form-control" name="temail" placeholder="Email Id" value="{{ old('email') }}" required autofocus>

                                @if ($errors->has('email'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('email') }}</strong>
                                    </span>
                                @endif
                    </div>
                    <div class="form-group{{ $errors->has('password') ? ' has-error' : '' }}">
                        <input id="tpassword" type="password" class="form-control" name="tpassword" placeholder="Password" required>

                                @if ($errors->has('password'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('password') }}</strong>
                                    </span>
                                @endif
                    </div>
                    <!-- <div class="form-group">
                        <input type="checkbox" name="remember_me"/> Remember me
                    </div> -->
                </div>
                <div class="footer">
                    <button type="submit" class="btn bg-black btn-block">Sign me in</button>

                    <p>&nbsp;</p>

                    <!-- <a href="register.html" class="text-center">Register a new membership</a> -->
                </div>
            {!! Form::close()!!}

            <!--<div class="margin text-center">
                <span>Sign in using social networks</span>
                <br/>
                <button class="btn bg-light-blue btn-circle"><i class="fa fa-facebook"></i></button>
                <button class="btn bg-aqua btn-circle"><i class="fa fa-twitter"></i></button>
                <button class="btn bg-red btn-circle"><i class="fa fa-google-plus"></i></button>

            </div>-->
        </div>
    </div>

    <div class="col-lg-5">
        <div class="form-box" id="login-box">
            <div class="header"> Admin login</div>
          <form class="form-horizontal" role="form" method="POST" action="{{ url('/login') }}">
                        {{ csrf_field() }}
                <div class="body bg-gray">
                    <div class="form-group{{ $errors->has('email') ? ' has-error' : '' }}">
                       <input id="email" type="email" class="form-control" name="email" placeholder="Email Id" value="{{ old('email') }}" required autofocus>

                                @if ($errors->has('email'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('email') }}</strong>
                                    </span>
                                @endif
                    </div>
                    <div class="form-group{{ $errors->has('password') ? ' has-error' : '' }}">
                        <input id="password" type="password" class="form-control" name="password" placeholder="Password" required>

                                @if ($errors->has('password'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('password') }}</strong>
                                    </span>
                                @endif
                    </div>
                    <!-- <div class="form-group">
                        <input type="checkbox" name="remember_me"/> Remember me
                    </div> -->
                </div>
                <div class="footer">
                    <button type="submit" class="btn bg-black btn-block">Sign me in</button>

                    <p><a class="btn btn-link" href="{{ url('/password/reset') }}"> Forgot Your Password?
                                </a></p>

                    <!-- <a href="register.html" class="text-center">Register a new membership</a> -->
                </div>
            </form>

            <!--<div class="margin text-center">
                <span>Sign in using social networks</span>
                <br/>
                <button class="btn bg-light-blue btn-circle"><i class="fa fa-facebook"></i></button>
                <button class="btn bg-aqua btn-circle"><i class="fa fa-twitter"></i></button>
                <button class="btn bg-red btn-circle"><i class="fa fa-google-plus"></i></button>

            </div>-->
        </div>
    </div>
    <div class="col-lg-1">&nbsp;</div>
    </div>
@endsection
