@extends('layouts.tdashboard')
@section('content')

<!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        Add Serial Number
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active">Add Serial Number</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-md-12">
                            
                            <div class="box box-danger">
                                <div class="box-header">
                                    <h3 class="box-title">Add Serial Number to Assets</h3>
                                </div>
                                <div class="box-body">
                                  
                                  {{ Form::open(array('route' => 'serial.store','id'=>'formasset', 'class' => 'form-horizontal form-label-left')) }}
                                   {{ csrf_field() }}
                                <div class="col-md-4">
                                    <div class="form-group">
                                            <label>Choose Asset</label>
                                            <select class="form-control" name="category" id="category" required>
                                                <option value="">Select Asset</option>
                                            @foreach ($categories as $category)
                            <option value="{{ $category->id}}">{{$category->cat_name}}</option>
                                            @endforeach
                                            </select>
                                     </div>
								</div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Enter Serial Number</label>
                                        <div class="input-group">
                                            <div class="input-group-addon">
                                                <i class="fa fa-map-marker" aria-hidden="true"></i>
                                            </div>
                                            <input type="text" class="form-control" name="serialno"  id="serialno" required />
                                        </div>
                                    </div>
								</div>
                                <!-- <div class="col-md-4">
                                    <div class="form-group">
                                            <label>Choose SLA</label>
                                            <select class="form-control" name="sla" id="sla" required>
                                                <option value="">Select</option>
                                                <option value="24x7x52">24x7x52</option>
                                                <option value="24x7x8">24x7x8</option>
                                                <option value="24x7x4">24x7x4</option>
                                                <option value="NBD">NBD</option>
                                            </select>
                                        </div>
								</div> -->
                               <!--  <div class="col-md-4">
                                <div class="form-group">
                                        <label>Start Date</label>
                                        <div class="input-group date">
                  							<div class="input-group-addon">
                    							<i class="fa fa-calendar"></i>
                  							</div>
                  							<input class="form-control pull-right" name="datepicker" id="datepicker" type="text" readonly>
                							</div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                <div class="form-group">
                                        <label>End Date</label>
                                        <div class="input-group date">
                  							<div class="input-group-addon">
                    							<i class="fa fa-calendar"></i>
                  							</div>
                  							<input class="form-control pull-right" name="datepicker2" id="datepicker2" type="text" readonly>
                							</div>
                                    </div>
                                </div> -->
                                <div class="col-lg-12" align="center" style="margin:10px 0px 20px;">
                                    	<button type="submit" class="btn btn-danger">Submit</button>
                                        <!-- <button type="submit" class="btn bg-black">Cancel</button> -->
                                    </div>
                                {!! Form::close() !!}
                                </div>

                                <div class="col-md-12" style="margin-bottom:20px;">
                                    <table id="example2" class="table table-bordered table-hover">
                                            <thead style="background:#e9e9e9;">
                                                <tr>
                                                    <th>No#</th>
                                                    <th>Asset</th>
                                                    <th>Serial No</th>
                                                   <!--  <th>SLA</th>
                                                    <th>Start Date</th>
                                                    <th>End Date</th> -->
                                                	<th>Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>

                                                @foreach ($serials as $index => $element)
                                                <tr>
                                                    <td>{{$index+1}}</td>
                                                    <td>{{$element->cat_name}}</td>
                                                    <td>{{$element->serial_no}}</td>
                                                    
                            <td>
                              <a class="btn btn-primary" href="{{ url('tseredit', $element->id) }}"">
             <span class="glyphicon glyphicon-edit"></span> Edit
           </a>
           {{ Form::open(array('method'
=> 'DELETE', 'route' => array('serial.destroy', $element->id), 'style' => 'display:inline !important;')) }}<button class="btn btn-danger" data-id="{{$element->id}}" data-title="{{$element->cat_name}}">
              <span class="glyphicon glyphicon-trash"></span> Delete
            </button>

  {!! Form::close() !!}
                            </td>
                                                </tr>
                                                @endforeach
                                                
                                                
                                            </tbody>
                                        </table>
                                </div>
                                </div><!-- /.box-body -->
                            </div><!-- /.box -->

                            <!-- /.box -->

                        </div><!-- /.col (left) -->
                    </div><!-- /.row -->                    

                </section><!-- /.content -->
            </aside><!-- /.right-side -->

@endsection