@extends('layouts.tdashboard')
@section('content')

 <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        Add State
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active">Add State</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-md-12">

                            <div class="box box-danger">
                                <div class="box-header">
                                    <h3 class="box-title">State</h3>
                                </div>
                                <div class="box-body">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        

<!--  <form class="form-horizontal" role="form" method="PUT" action="{{ url('oem/store') }}"> -->
{!! Form::open(['action' => 'StateController@tstore', 'method' => 'post', 'style' => 'display:inline !important;']) !!}
 {{ csrf_field() }}
<div class="form-group">
                          <label>Choose State</label>
                          <select class="form-control" name="con_id" id="con_id">
                            <option value="">Select Country</option>
                             @foreach ($countries as $country)
                            <option value="{{ $country->id}}">{{$country->con_name}}</option>
                            @endforeach
                          </select>
                        </div>
                                        

                </div>
                </div>
                <div class="col-md-6">
                <label>Enter State</label>
                    <div class="input-group">
                                            <div class="input-group-addon">
                                                <i class="fa fa-map-marker" aria-hidden="true"></i>
                                            </div>
                                            
                                            <input type="text" class="form-control" style="float:left; width:75%; margin-right:5px;" name="st_name" required />
                                            <button type="submit" class="btn btn-danger">Add State</button>
                                        </div>
                                        {!! Form::close() !!}


                                    </div>

                </div>
                                <div class="col-md-12" style="margin-bottom:20px;">


                                    <table id="example2" class="table table-bordered table-hover">
                                            <thead style="background:#e9e9e9;">
                                                <tr>
                                                    <th width="15%">No#</th>
                                                     <th width="25%">Country</th>
                                                    <th width="20%">State</th>
                                                    <!-- <th width="15%">Action </th> -->
                                                    <th width="25%">Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                            @foreach ($states as $index => $element)
                                                <tr>
                                                    <td>{{$index+1}}</td>
                                                    <td>{{$element->con_name}}</td>
                                                    <td>{{$element->st_name}}</td>
                                                    <!-- <td><div class="activeTab">
                                        <a class="active_btn"><button class="edit-modal btn btn-success"> <span class="glyphicon glyphicon-ok-sign"></span> Active </button></a>
                                        <a><button class="delete-modal btn btn-warning"> <span class="glyphicon glyphicon-minus-sign"></span> Inactive </button></a>
              </div></td> -->
                            <td>
                            {!! Form::open(['action' => ['StateController@tdestroy', $element->id],'method'=> 'GET'] )!!}
                              <a class="btn btn-primary" href="{{ url('tstateedit', $element->id) }}">
             <span class="glyphicon glyphicon-edit"></span> Edit
           </a>
           <button class="btn btn-danger" data-id="{{$element->id}}" data-title="{{$element->st_name}}">
              <span class="glyphicon glyphicon-trash"></span> Delete
            </button>

  {!! Form::close() !!}
                            </td>
                                                </tr>
                                                @endforeach

                                            </tbody>
                                        </table>
                                </div>
                                </div><!-- /.box-body -->
                            </div><!-- /.box -->

                            <!-- /.box -->

                        </div><!-- /.col (left) -->
                    </div><!-- /.row -->

                </section><!-- /.content -->
            </aside><!-- /.right-side -->

@endsection
