<?php $__env->startSection('content'); ?>
 <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        Add Country
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active">Add Country</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-md-12">
 <?php echo $__env->make('includes.messages', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                            <div class="box box-danger">
                                <div class="box-header">
                                    <h3 class="box-title">Country</h3>
                                </div>
                                <div class="box-body">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Add Country</label>

<!--  <form class="form-horizontal" role="form" method="PUT" action="<?php echo e(url('oem/store')); ?>"> -->
<?php echo e(Form::open(array('route' => 'country.store','id'=>'formCountry', 'class' => 'form-horizontal form-label-left', 'enctype' => 'multipart/form-data'))); ?>

 <?php echo e(csrf_field()); ?>


                                        <div class="input-group">
                                            <div class="input-group-addon">
                                                <i class="fa fa-map-marker" aria-hidden="true"></i>
                                            </div>
                                            <input type="text" class="form-control" style="float:left; width:75%; margin-right:5px;" name="con_name" required />
                                            <button type="submit" class="btn btn-danger">Add Country</button>
                                        </div>
                                        <?php echo Form::close(); ?>



                                    </div>
                </div>
                                <div class="col-md-12" style="margin-bottom:20px;">

 <?php if($countries){ ?>
                                    <table id="example2" class="table table-bordered table-hover">
                                            <thead style="background:#e9e9e9;">
                                                <tr>
                                                    <th width="20%">No#</th>
                                                    <th width="40%">Country</th>
                                                    <th width="40%">Action </th>
                                                    <!-- <th width="25%">Status</th> -->
                                                </tr>
                                            </thead>
                                            <tbody>
                                            
                                            <?php $__currentLoopData = $countries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $element): $__env->incrementLoopIndices(); $loop = $__env->getFirstLoop(); ?>
                                                <tr>
                                                    <td><?php echo e($index+1); ?></td>
                                                    <td><?php echo e($element->con_name); ?></td>
                                                   <!--  <td><div class="activeTab">
                                        <a class="active_btn"><button class="edit-modal btn btn-success"> <span class="glyphicon glyphicon-ok-sign"></span> Active </button></a>
                                        <a><button class="delete-modal btn btn-warning"> <span class="glyphicon glyphicon-minus-sign"></span> Inactive </button></a>
              </div></td> -->
                            <td align="center">
                              <a class="btn btn-primary" href="<?php echo e(route('country.edit', array('id' => $element->id))); ?>">
             <span class="glyphicon glyphicon-edit"></span> Edit
           </a>
           <?php echo e(Form::open(array('method'
=> 'DELETE', 'route' => array('country.destroy', $element->id), 'style' => 'display:inline !important;'))); ?><button class="btn btn-danger" data-id="<?php echo e($element->id); ?>" data-title="<?php echo e($element->cat_name); ?>">
              <span class="glyphicon glyphicon-trash"></span> Delete
            </button>

  <?php echo Form::close(); ?>

                            </td>
                                                </tr>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getFirstLoop(); ?>
                                                
                                            </tbody>
                                        </table>
                                        <?php }
                                                else{?>
                                                <table class="table table-bordered table-hover">
                                                <tr><td colspan="3">No Data</td></tr>
                                                </table>
                                               <?php  }?>

                                </div>
                                </div><!-- /.box-body -->
                            </div><!-- /.box -->

                            <!-- /.box -->

                        </div><!-- /.col (left) -->
                    </div><!-- /.row -->

                </section><!-- /.content -->
            </aside><!-- /.right-side -->

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.dashboard', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>