<!DOCTYPE html>

<html>

    <head>

        <meta charset="UTF-8">

        <title>TicketDESK</title>

        <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>

        <!-- bootstrap 3.0.2 -->

        <?php echo e(Html::style('css/bootstrap.min.css')); ?>


        <!-- font Awesome -->

        <?php echo e(Html::style('css/font-awesome.min.css')); ?>


        <!-- Ionicons -->

        <?php echo e(Html::style('css/ionicons.min.css')); ?>


        <!-- daterange picker -->

        <?php echo e(Html::style('css/daterangepicker/daterangepicker-bs3.css')); ?>


        <!-- iCheck for checkboxes and radio inputs -->

        <?php echo e(Html::style('css/iCheck/all.css')); ?>


        <!-- Bootstrap Color Picker -->

        <?php echo e(Html::style('css/colorpicker/bootstrap-colorpicker.min.css')); ?>


        <!-- Bootstrap time Picker -->

        <?php echo e(Html::style('css/timepicker/bootstrap-timepicker.min.css')); ?>


        <!-- Theme style -->

        <?php echo e(Html::style('css/AdminLTE.css')); ?>


        <!-- bootstrap datepicker -->

        <?php echo e(Html::style('css/datepicker/datepicker3.css')); ?>


        <!-- PNotify -->

        <?php echo e(Html::style('vendor/pnotify/dist/pnotify.css')); ?>


        <?php echo e(Html::style('vendor/pnotify/dist/pnotify.buttons.css')); ?>


        <?php echo e(Html::style('vendor/pnotify/dist/pnotify.nonblock.css')); ?>




        <!-- jQuery 2.0.2 -->

        <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.0.2/jquery.min.js"></script>



        <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->

        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->

        <!--[if lt IE 9]>

          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>

          <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>

        <![endif]-->

    </head>

    <body class="skin-black">

        <!-- header logo: style can be found in header.less -->

        <header class="header">

            <a href="dashboard.html" class="logo">

                <!-- Add the class icon to your logo image or logo icon to add the margining -->

                TicketDESK

            </a>

            <!-- Header Navbar: style can be found in header.less -->

            <nav class="navbar navbar-static-top" role="navigation">

                <!-- Sidebar toggle button-->

                <a href="#" class="navbar-btn sidebar-toggle" data-toggle="offcanvas" role="button">

                    <span class="sr-only">Toggle navigation</span>

                    <span class="icon-bar"></span>

                    <span class="icon-bar"></span>

                    <span class="icon-bar"></span>

                </a>

                <div class="navbar-right">

                    <ul class="nav navbar-nav">

                        <!-- User Account: style can be found in dropdown.less -->

                        <li class="dropdown user user-menu">

                            <a href="#" class="dropdown-toggle" data-toggle="dropdown">

                                <i class="glyphicon glyphicon-user"></i>

                                <span>Engineer<i class="caret"></i></span>

                            </a>

                            <ul class="dropdown-menu">

                                <!-- User image -->

                                <li class="user-header bg-light-blue">

                                    <?php echo e(HTML::image("img/avatar3.png", "User Image")); ?>


                                   

                                </li>

                           

                                <!-- Menu Footer-->

                                <li class="user-footer">

                                   

                                    <div class="pull-right">

                                        <a href="<?php echo e(url('logout')); ?>" class="btn btn-default btn-flat">Sign out</a>

                                    </div>

                                </li>

                            </ul>

                        </li>

                    </ul>

                </div>

            </nav>

        </header>

        <div class="wrapper row-offcanvas row-offcanvas-left">

            <!-- Left side column. contains the logo and sidebar -->

            <aside class="left-side sidebar-offcanvas">

                <!-- sidebar: style can be found in sidebar.less -->

                <section class="sidebar">

                    <!-- Sidebar user panel -->

                    <div class="user-panel">

                        <div class="pull-left image">

                            <?php echo e(HTML::image("img/avatar3.png", "User Image")); ?>


                        </div>

                        <div class="pull-left info">

                            <p>Hello, Engineer</p>



                            <!-- <a href="#"><i class="fa fa-circle text-success"></i> Online</a> -->

                        </div>

                    </div>

                    <!-- search form -->

                   <?php echo Form::open(['action' => 'TicketController@tserachticket', 'method' => 'post']); ?>


                                <?php echo e(csrf_field()); ?>


                        <div class="input-group sidebar-form">

                            <input type="text" name="search" class="form-control" placeholder="Search..."/>

                            <span class="input-group-btn">

                                <button type='submit' name='ser' id='search-btn' class="btn btn-flat"><i class="fa fa-search"></i></button>

                            </span>

                        </div>

                    <?php echo Form::close(); ?>


                    <!-- /.search form -->

                    <!-- sidebar menu: : style can be found in sidebar.less -->

                    <ul class="sidebar-menu">

                        <li>

                            <a href="<?php echo e(action('HomeController@index')); ?>">

                                <i class="fa fa-dashboard"></i> <span>Dashboard</span>

                            </a>

                        </li>

                        <li class="treeview">

                            <a href="#">

                                <i class="fa fa-bar-chart-o"></i>

                                <span>Manage Locations</span>

                                <i class="fa fa-angle-left pull-right"></i>

                            </a>

                            <ul class="treeview-menu">

                            <li><a href="<?php echo e(action('CountryController@tindex')); ?>"><i class="fa fa-angle-double-right"></i>Manage Country</a></li>

                            <li><a href="<?php echo e(action('StateController@tindex')); ?>"><i class="fa fa-angle-double-right"></i>Manage State</a></li>

                            <li><a href="<?php echo e(action('CityController@tindex')); ?>"><i class="fa fa-angle-double-right"></i>Manage City</a></li>

                                <li><a href="<?php echo e(action('LocationController@tcreate')); ?>"><i class="fa fa-angle-double-right"></i>Add Location</a></li>

                                <li><a href="<?php echo e(action('LocationController@tindex')); ?>"><i class="fa fa-angle-double-right"></i>Location List</a></li>

                            </ul>

                        </li>

                        <li class="treeview">

                            <a href="#">

                                <i class="fa fa-laptop"></i>

                                <span>Manage Customers</span>

                                <i class="fa fa-angle-left pull-right"></i>

                            </a>

                            <ul class="treeview-menu">

                                <li><a href="<?php echo e(action('CustomerController@tcreate')); ?>"><i class="fa fa-angle-double-right"></i>Add Customer</a></li>

                                <li><a href="<?php echo e(action('CustomerController@tindex')); ?>"><i class="fa fa-angle-double-right"></i>View Customer</a></li>

                            </ul>  

                        </li>

                        <li class="treeview">

                            <a href="#">

                                <i class="fa fa-edit"></i> <span>Manage Assets</span>

                                <i class="fa fa-angle-left pull-right"></i>

                            </a>

                            <ul class="treeview-menu">

                                 <li><a href="<?php echo e(action('CategoryController@tindex')); ?>"><i class="fa fa-angle-double-right"></i>Manage Asset</a></li>

                                 <li><a href="<?php echo e(action('SerialController@tindex')); ?>"><i class="fa fa-angle-double-right"></i>Manage Serial Nos:</a></li>

                                <li><a href="<?php echo e(action('OemController@toem')); ?>"><i class="fa fa-angle-double-right"></i>Manage OEMs</a></li>

                                <li><a href="<?php echo e(action('OemmodelController@tmodel')); ?>"><i class="fa fa-angle-double-right"></i>Manage Models</a></li>

                                <li><a href="<?php echo e(action('MasterController@tindex')); ?>"><i class="fa fa-angle-double-right"></i>Asset Master</a></li>

                                <!-- <li><a href="<?php echo e(action('AssetController@tindex')); ?>"><i class="fa fa-angle-double-right"></i>Allocate Asset to Customer</a></li> -->

                                <li><a href="<?php echo e(action('MasterController@tshowCsv')); ?>"><i class="fa fa-angle-double-right"></i>CSV asset upload</a></li>

                            </ul>

                        </li>

                       

                        <li class="treeview">



                            <a href="#">

                                <i class="fa fa-table"></i> <span>Manage Tickets</span>

                                <i class="fa fa-angle-left pull-right"></i>

                            </a>

                            <ul class="treeview-menu">

                                <li><a href="<?php echo e(action('TicketController@tindex')); ?>"><i class="fa fa-angle-double-right"></i>View Tickets </a></li>

                                 <li><a href="<?php echo e(action('TicketController@tcreate')); ?>"><i class="fa fa-angle-double-right"></i>Create Tickets </a></li>

                            </ul>

                        </li>

                        <li>

                            <a href="<?php echo e(action('TicketController@ttrackticket')); ?>">

                                <i class="fa fa-table"></i> <span>Ticket Tracking</span>

                            </a>

                        </li>

                        <li class="treeview">

                            <a href="#">

                                <i class="fa fa-folder"></i> <span>Reports</span>

                                <i class="fa fa-angle-left pull-right"></i>

                            </a>

                            <ul class="treeview-menu">

                                <li><a href="<?php echo e(action('ReportController@reportindex')); ?>"><i class="fa fa-angle-double-right"></i>FSR Report</a></li>

                                <li><a href="<?php echo e(action('ReportController@slatechindex')); ?>"><i class="fa fa-angle-double-right"></i>SLA Report</a></li>

                                <!-- <li><a href="asset_report.html"><i class="fa fa-angle-double-right"></i> Asset Report</a></li>

                                <li><a href="ticket_report.html"><i class="fa fa-angle-double-right"></i>Ticket Rreport</a></li> -->

                            </ul>

                        </li>

                        <li>

                            <a href="<?php echo e(action('MasterController@downloads')); ?>">

                                <i class="fa fa-table"></i> <span>Useful Downloads</span>

                            </a>

                        </li>

                       

                    </ul>

                </section>

                <!-- /.sidebar -->

            </aside>

        <?php echo $__env->yieldContent('content'); ?>

      </div><!-- ./wrapper -->







      <!-- Bootstrap -->

      <?php echo e(Html::script('js/bootstrap.min.js')); ?>


      <!-- InputMask -->

      <?php echo e(Html::script('js/plugins/input-mask/jquery.inputmask.js')); ?>


      <?php echo e(Html::script('js/plugins/input-mask/jquery.inputmask.date.extensions.js')); ?>


      <?php echo e(Html::script('js/plugins/input-mask/jquery.inputmask.extensions.js')); ?>


      <!-- date-range-picker -->



      <?php echo e(Html::script('js/plugins/daterangepicker/daterangepicker.js')); ?>


      <!-- bootstrap color picker -->

      <?php echo e(Html::script('js/plugins/colorpicker/bootstrap-colorpicker.min.js')); ?>


      <!-- bootstrap time picker -->

      <?php echo e(Html::script('js/plugins/timepicker/bootstrap-timepicker.min.js')); ?>


      <!-- AdminLTE App -->

      <?php echo e(Html::script('js/AdminLTE/app.js')); ?>


      <!-- bootstrap datepicker -->

      <?php echo e(Html::script('js/plugins/datepicker/bootstrap-datepicker.js')); ?>


    <?php echo e(Html::script('vendor/pnotify/dist/pnotify.js')); ?>


    <?php echo e(Html::script('vendor/pnotify/dist/pnotify.buttons.js')); ?>


    <?php echo e(Html::script('vendor/pnotify/dist/pnotify.nonblock.js')); ?>


    <?php echo e(Html::script('build/js/custom.min.js')); ?>




      <!-- Page script -->

      <script type="text/javascript">

          $(function() {

              //Datemask dd/mm/yyyy

              $("#datemask").inputmask("dd/mm/yyyy", {"placeholder": "dd/mm/yyyy"});

              //Datemask2 mm/dd/yyyy

              $("#datemask2").inputmask("mm/dd/yyyy", {"placeholder": "mm/dd/yyyy"});

              //Money Euro

              $("[data-mask]").inputmask();



              //Date range picker

              $('#reservation').daterangepicker();

              //Date range picker with time picker

              $('#reservationtime').daterangepicker({timePicker: true, timePickerIncrement: 30, format: 'MM/DD/YYYY h:mm A'});

              //Date range as a button

              $('#daterange-btn').daterangepicker(

                      {

                          ranges: {

                              'Today': [moment(), moment()],

                              'Yesterday': [moment().subtract('days', 1), moment().subtract('days', 1)],

                              'Last 7 Days': [moment().subtract('days', 6), moment()],

                              'Last 30 Days': [moment().subtract('days', 29), moment()],

                              'This Month': [moment().startOf('month'), moment().endOf('month')],

                              'Last Month': [moment().subtract('month', 1).startOf('month'), moment().subtract('month', 1).endOf('month')]

                          },

                          startDate: moment().subtract('days', 29),

                          endDate: moment()

                      },

              function(start, end) {

                  $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));

              }

              );



      //Date picker

        $('#datepicker').datepicker({



            autoclose: true



        });



        //Date picker

          $('#datepicker2').datepicker({



              autoclose: true



          });

              //iCheck for checkbox and radio inputs

              $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({

                  checkboxClass: 'icheckbox_minimal',

                  radioClass: 'iradio_minimal'

              });

              //Red color scheme for iCheck

              $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({

                  checkboxClass: 'icheckbox_minimal-red',

                  radioClass: 'iradio_minimal-red'

              });

              //Flat red color scheme for iCheck

              $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({

                  checkboxClass: 'icheckbox_flat-red',

                  radioClass: 'iradio_flat-red'

              });



              //Colorpicker

              $(".my-colorpicker1").colorpicker();

              //color picker with addon

              $(".my-colorpicker2").colorpicker();



              //Timepicker

              $(".timepicker").timepicker({

                  showInputs: false

              });

          });

      </script>

<script>

      $(document).ready(function() { 

        <?php if(Session::has('success')): ?>       

            var msgVar = "<?php echo e(Session::get('success')); ?>";

            new PNotify({

                                  title: 'Success',

                                  text: msgVar,

                                  type: 'success',

                                  styling: 'bootstrap3'

                              });

        <?php elseif(Session::has('error')): ?>

            var msgVar = "<?php echo e(Session::get('error')); ?>";

            new PNotify({

                                  title: 'Oh No!',

                                  text: msgVar,

                                  type: 'error',

                                  styling: 'bootstrap3'

                              });

        <?php endif; ?>

         });

    </script>

  </body>

</html>

