<?php

namespace Ticket;

use Illuminate\Database\Eloquent\Model;
use DB;

class Home extends Model
{
    //

    protected static function ticCount(){
    	$ticCount = DB::table('tickets')->select(DB::raw('count(id) as tic_count'))->first();
    	return $ticCount;
    }

    protected static function getSla() {
  	$slapie = DB::table('reports')->select(DB::raw('count(id) as slacount, slr_meets as sla'))
              ->groupBy('slr_meets')->get();

        //     $queries = DB::getQueryLog();
        // echo '<pre>'; print_r($queries);die;
  	return $slapie;
		}

		protected static function custCount(){
    	$cusCount = DB::table('customers')->select(DB::raw('count(id) as cus_count'))->first();
    	return $cusCount;
    }

    protected static function locsCount(){
      $locaCount = DB::table('locations')->select(DB::raw('count(id) as loc_count'))->first();
      return $locaCount;
    }

    protected static function techCount(){
      $tecCount = DB::table('teches')->select(DB::raw('count(id) as tech_count'))->first();
      return $tecCount;
    }

    protected static function slapie(){

       $slameet=DB::table('reports')
        ->select(
            DB::raw('count(slr_meets) as slacount'),
            DB::raw('slr_meets'))
            ->groupBy('slr_meets')
            ->get();

         $sla=array();

         foreach ($slameet as $result) {
             $sla[$result->slr_meets]=(int)$result->slacount;
         }

         return $sla;

    }


    protected static function ticketbymonth(){

       $tic=DB::table('tickets')
        ->select(
            DB::raw('count(tickets.id) as ticcount'),
            DB::raw('tickets.loc_id'), 'locations.loc_name as locs')
            ->leftjoin('locations', 'locations.id', '=', 'tickets.loc_id' )
            ->groupBy('tickets.loc_id')
            ->groupBy('locations.loc_name')

            ->get();

         $ticbymonth=array();

         foreach ($tic as $result) {
             $ticbymonth[$result->locs]=(int)$result->ticcount;
         }

         return $ticbymonth;

    }

    protected static function assetused(){

       $oems=DB::table('tickets')
        ->select(
            DB::raw('count(tickets.id) as ticcount'),
            DB::raw('tickets.oem_id'), 'oems.oem_name as supplier')
            ->leftjoin('oems', 'oems.id', '=', 'tickets.oem_id' )
            ->groupBy('tickets.oem_id')
            ->groupBy('oems.oem_name')

            ->get();

         $oemusage=array();

         foreach ($oems as $result) {
             $oemusage[$result->supplier]=(int)$result->ticcount;
         }

         return $oemusage;

    }

    protected static function ticbyloc(){

      $ticgeo=DB::table('tickets')
        ->select(
            DB::raw('count(tickets.id) as ticcount'),
            DB::raw('tickets.loc_id'), 'locations.loc_name as locs')
            ->leftjoin('locations', 'locations.id', '=', 'tickets.loc_id' )
            ->groupBy('tickets.loc_id')
            ->groupBy('locations.loc_name')

            ->get();

         $ontic=array();

         foreach ($ticgeo as $result) {
             $ontic[$result->locs]=(int)$result->ticcount;
         }

         return $ontic;

    }
}
