<?php

namespace Ticket\Http\Controllers;

use Illuminate\Http\Request;
use DB;

class SearchController extends Controller
{
    function index()
    {
     return view('admin.master.livesearch');
    }
 
    function tindex()
    {
     return view('engineer.master.livesearch');
    }

    function action(Request $request)
    {
     if($request->ajax())
     {
      $output = '';
      $query = $request->get('query');
      if($query != '')
      {
       $data = DB::table('masters')
       ->select('masters.id','masters.oem_id','masters.mod_id','masters.loc_id','masters.prt_no','masters.prt_desc','masters.prt_qty','masters.sn','masters.start_date','masters.end_date','oems.oem_name','oemmodels.mod_name','categories.cat_name','serials.serial_no')
       ->join('categories', 'categories.id', '=', 'masters.cat_id')
	   ->join('serials', 'serials.id', '=', 'masters.serial_id')
	   ->join('oems', 'oems.id', '=', 'masters.oem_id')
	   ->join('oemmodels', 'oemmodels.id', '=', 'masters.mod_id')
         ->where('masters.prt_no', 'like', '%'.$query.'%')
         ->orWhere('masters.prt_desc', 'like', '%'.$query.'%')
         ->orWhere('masters.serial_no', 'like', '%'.$query.'%')
         //->orWhere('PostalCode', 'like', '%'.$query.'%')
         //->orWhere('Country', 'like', '%'.$query.'%')
         ->orderBy('masters.id', 'desc')
         ->get();
         
      }
      else
      {
       $data = DB::table('masters')
         ->orderBy('id', 'desc')
         ->get();
      }
      $total_row = $data->count();
      if($total_row > 0)
      {
       foreach($data as $row  => $element)
       {
       	$i = $row+1;

       	$expire = date('Y-m-d', mktime(0, 0, 0, date("m"), date("d"), date("Y")));

                                           $date2= date("Y-m-d", strtotime($element->end_date)); 

                                          if($date2 < $expire){

                                            $e='<b>Expired on </b>';

                                            //$class = 'label label-warning';

                                          }

                                          else{

                                            $e='<b>On warranty, will expire on </b>';

                                            //$class = 'label label-info';

                                          }       
        $output .= '
        <tr>
         <td>'.$i.'</td>
         <td>'.$element->cat_name.'</td>
         <td>'.$element->oem_name.'</td>
         <td>'.$element->mod_name.'</td>
         <td>'.$element->prt_no.'</td>
         <td>'.$element->prt_desc.'</td>
         <td>'.$element->serial_no.'</td>
         <td>'.$element->prt_qty.'</td>

         <td>'.$e. date('d/m/y',strtotime($element->end_date)).'</td>

        </tr>
        ';
       }
      }
      else
      {
       $output = '
       <tr>
        <td align="center" colspan="9">No Data Found</td>
       </tr>
       ';
      }
      $data = array(
       'table_data'  => $output,
       'total_data'  => $total_row
      );

      echo json_encode($data);
     }
    }
//tech
    function taction(Request $request)
    {
     if($request->ajax())
     {
      $output = '';
      $query = $request->get('query');
      if($query != '')
      {
       $data = DB::table('masters')
       ->select('masters.id','masters.oem_id','masters.mod_id','masters.loc_id','masters.prt_no','masters.prt_desc','masters.prt_qty','masters.start_date','masters.end_date','oems.oem_name','oemmodels.mod_name','categories.cat_name','serials.serial_no')
       ->join('categories', 'categories.id', '=', 'masters.cat_id')
     ->join('serials', 'serials.id', '=', 'masters.serial_id')
     ->join('oems', 'oems.id', '=', 'masters.oem_id')
     ->join('oemmodels', 'oemmodels.id', '=', 'masters.mod_id')
         ->where('masters.prt_no', 'like', '%'.$query.'%')
         ->orWhere('masters.prt_desc', 'like', '%'.$query.'%')
         ->orWhere('masters.serial_no', 'like', '%'.$query.'%')
         //->orWhere('PostalCode', 'like', '%'.$query.'%')
         //->orWhere('Country', 'like', '%'.$query.'%')
         ->orderBy('masters.id', 'desc')
         ->get();
         
      }
      else
      {
       $data = DB::table('masters')
         ->orderBy('id', 'desc')
         ->get();
      }
      $total_row = $data->count();
      if($total_row > 0)
      {
       foreach($data as $row  => $element)
       {
        $i = $row+1;

        $expire = date('Y-m-d', mktime(0, 0, 0, date("m"), date("d"), date("Y")));

                                           $date2= date("Y-m-d", strtotime($element->end_date)); 

                                          if($date2 < $expire){

                                            $e='<b>Expired on </b>';

                                            //$class = 'label label-warning';

                                          }

                                          else{

                                            $e='<b>On warranty, will expire on </b>';

                                            //$class = 'label label-info';

                                          }       
        $output .= '
        <tr>
         <td>'.$i.'</td>
         <td>'.$element->cat_name.'</td>
         <td>'.$element->oem_name.'</td>
         <td>'.$element->mod_name.'</td>
         <td>'.$element->prt_no.'</td>
         <td>'.$element->prt_desc.'</td>
         <td>'.$element->serial_no.'</td>
         <td>'.$element->prt_qty.'</td>

         <td>'.$e. date('d/m/y',strtotime($element->end_date)).'</td>

        </tr>
        ';
       }
      }
      else
      {
       $output = '
       <tr>
        <td align="center" colspan="9">No Data Found</td>
       </tr>
       ';
      }
      $data = array(
       'table_data'  => $output,
       'total_data'  => $total_row
      );

      echo json_encode($data);
     }
    }
/////

    function ticketindex()
    {
     return view('admin.ticket.ticsearch');
    }

    function techticindex()
    {
     return view('engineer.ticket.ticsearch');
    }

    function ticaction(Request $request)
    {
     if($request->ajax())
     {
      $output = '';
      $query = $request->get('query');
      if($query != '')
      {
       $data = DB::table('tickets')
       ->select('tickets.id','tickets.c_id','tickets.tic_subject','tickets.tic_desc','tickets.tic_source','tickets.tic_type','oems.oem_name','oemmodels.mod_name','masters.prt_no','serials.serial_no','statuses.sta_name','customers.cmpy_name')
      ->leftjoin('categories', 'categories.id', '=', 'tickets.cat_id')
      ->leftjoin('serials', 'serials.id', '=', 'tickets.serial_id')
      ->leftjoin('oems', 'oems.id', '=', 'tickets.oem_id')
      ->leftjoin('oemmodels', 'oemmodels.id', '=', 'tickets.mod_id')
      ->leftjoin('customers','customers.id', '=', 'tickets.c_id')
      ->leftjoin('statuses','statuses.id', '=', 'tickets.tic_status')
      ->leftjoin('masters', 'masters.id', '=', 'tickets.mas_id')

         ->where('tickets.tic_subject', 'like', '%'.$query.'%')
         ->orWhere('tickets.tic_desc', 'like', '%'.$query.'%')
         ->orWhere('customers.cmpy_name', 'like', '%'.$query.'%')
         ->orWhere('tickets.id', 'like', '%'.$query.'%')

         //->orWhere('PostalCode', 'like', '%'.$query.'%')
         //->orWhere('Country', 'like', '%'.$query.'%')
         ->orderBy('tickets.id', 'desc')
         ->get();
         
      }
      else
      {
       $data = DB::table('tickets')
         ->orderBy('id', 'desc')
         ->get();
      }
      $total_row = $data->count();
      if($total_row > 0)
      {
       foreach($data as $row  => $element)
       {
        $i = $row+1;

              
        $output .= '
        <tr>
         <td>'.$i.'</td>
         <td>'.'SSQ'.$element->id.'</td>
         <td>'.$element->cmpy_name.'</td>
         <td>'.$element->oem_name.'</td>
         <td>'.$element->mod_name.'</td>
         <td>'.$element->prt_no.'</td>
        
         <td>'.$element->serial_no.'</td>
        
         <td>'.$element->tic_subject.'</td>
         <td>'.$element->tic_desc.'</td>
         <td>'.$element->sta_name.'</td>

        </tr>
        ';
       }
      }
      else
      {
       $output = '
       <tr>
        <td align="center" colspan="12">No Data Found</td>
       </tr>
       ';
      }
      $data = array(
       'table_data'  => $output,
       'total_data'  => $total_row
      );

      echo json_encode($data);
     }
    }

}
