@extends('layouts.dashboard')
@section('content')
<!-- Right side column. Contains the navbar and content of the page -->

            <aside class="right-side">

                <!-- Content Header (Page header) -->

                <section class="content-header">

                    <h1>

                        Daily Service Log (DSL)

                    </h1>

                    <!-- <ol class="breadcrumb">

                        <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>

                        <li class="active">Create Ticket</li>

                    </ol> -->

                </section>



                <!-- Main content -->

                <section class="content">

                    <div class="row">

                        <div class="col-md-12">

@include('includes.messages')

                            <div class="box box-danger box-widget">
                                <div class="widget-head clearfix">
                                    <span class="h-icon"><i class="fa fa-align-justify"></i></span>

                                    <h4 class="box-title">Create DSL</h4>

                                </div>



                                 {{ Form::open(array('route' => 'dsl.store','id'=>'formTicket', 'class' => 'form-horizontal form-label-left', 'enctype' => 'multipart/form-data')) }}

              {{ csrf_field() }}

                                <div class="box-body">

                                <div class="col-md-4">

                                <div class="form-group">

                                  <label>Open Calls</label>
                                  <input type="text" name="calls" id="calls" class="form-control" placeholder="Enter #SO No:" required value="">

                        </div>
                        </div>

                        <div class="col-md-4">

                        <div class="form-group">

                          <label>Select Location</label>
                          <select name="locid" id="locid" class="form-control" required>
                          <option>Choose Location</option>
                           @foreach ($locs as $loc)

                              <option value="{{$loc->id}}">{{$loc->loc_name}}</option>

                            @endforeach
                          </select>

                        </div>
                        </div>

                        <div class="col-md-4">

                        <div class="form-group">

                          <label>Contract Type</label>
                           <select name="contract" id="contract" class="form-control" required>
                           <option>Choose Type</option>
                                   <option value="1">Professional Services</option>
                                   <option value="2">Manage Services</option>
                                   <option value="3">T&M</option>             
                                   <option value="4">Maintenance</option>             
                          </select>

                        </div>
                        </div>

                        <div class="col-md-6">

                        <div class="form-group">

                          <label>Issue</label>
                                                <textarea name="issue" id="issue" class="form-control" placeholder="Describe the issue" required></textarea>

                        </div>
                        </div>

                        <div class="col-md-6">

                        <div class="form-group">

                          <label>Reason</label>
                                                <textarea name="reason" id="reason" class="form-control" placeholder="Describe the reason" required></textarea>

                        </div>
                        </div>

                        <div class="col-md-4">

                        <div class="form-group">

                          <label>Contacted End User</label>
                                                <select id="contacted" name="contacted" class="form-control" required>
                                                  <option value="" >Select</option>
                                                  <option value="Y" >Yes</option>
                                                  <option value="N" >No</option>
                                                </select>
                        </div>
                        </div>

                        <div class="col-md-4">

                         <div class="form-group">

                          <label>Follow up Required</label>
                                                <select id="followup" name="followup" class="form-control" required>
                                                  <option>Select</option>
                                                  <option value="Y" >Yes</option>
                                                  <option value="N" >No</option>
                                                </select>

                        </div>
                        </div>

                        <div class="col-md-4">

                                    <div class="form-group">

                                        <label>Part Required</label>
                                                <select id="partreq" name="partreq" class="form-control" required>
                                                  <option>Select</option>
                                                  <option value="Y" >Yes</option>
                                                  <option value="N" >No</option>
                                                </select>

                                        </div>
                                        </div>

                                        <div class="col-md-4">

                                        <div class="form-group">

                                        <label>Part Number</label>
                                                <input type="text" name="partno" id="partno" class="form-control" placeholder="Enter part number" required value="">

                                        </div>

                                    </div>


                                    <div class="col-md-4">

                                   

                                  <div class="form-group">

                                        <label>Part Status</label>
                                                <input type="text" name="partsts" id="partsts" class="form-control" placeholder="Enter part status" required value="">

                                        </div>

                                    </div>

                                    <div class="col-md-4">

                                        <div class="form-group">

                                        <label>Updated in Sheets</label>
                                                <select id="sheets" name="sheets" class="form-control">
                                                  <option>Select</option>
                                                  <option value="Y" >Yes</option>
                                                  <option value="N" >No</option>
                                                </select>

                                        </div>

                                    </div>
                                    

                                     <div class="col-md-6">

                                    <div class="form-group">

                                        <label>Contact Details</label>
                                                <textarea name="contact" id="contact" class="form-control" placeholder="Contact Details"></textarea>

                                        </div>

                                    </div>
                                    
                                     <div class="col-md-6">

                                     <div class="form-group">

                                        <label>Remarks</label>
                                                <textarea name="remarks" id="remarks" class="form-control" placeholder="Describe remarks if any.."></textarea>

                                        </div>

                                    </div>

                                            <div class="col-md-12" align="center">
                                            <div class="form-group">
                                                <button type="submit" class="btn btn-danger">Save</button>
                                                <!-- <button type="button" class="btn btn-primary">Cancel</button> -->
                                            </div>
                                            </div>


                                    </div>
                                     
                              {!! Form::close() !!}

                            </div><!-- /.box -->

                                     



                </section><!-- /.content -->

            </aside><!-- /.right-side -->

            
 <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>





@endsection

