@extends('layouts.dashboard')

@section('content')

<!-- Right side column. Contains the navbar and content of the page -->

<aside class="right-side">

    <!-- Content Header (Page header) -->

    <section class="content-header">

        <h1>

            View All Engineer

        </h1>

        <!-- <ol class="breadcrumb">

            <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>

            <li class="active">View All Engineer</li>

        </ol> -->

    </section>



    <!-- Main content -->

    <section class="content">

        <div class="row">

            <div class="col-xs-12">

                <div class="box box-danger box-widget">
                    <div class="widget-head clearfix">
                        <span class="h-icon"><i class="fa fa-align-justify"></i></span>

                        <h4 class="box-title">View All Engineer</h4>

                    </div><!-- /.box-header -->

                    <div class="box-body table-responsive">

                        <table id="techlist" class="table dt-table table-striped table-hover table-bordered matmix-dt">

                            <thead style="background:#e9e9e9;">

                                <tr>

                                    <th>Sl No:</th>

                                    <th>Engineer</th>

                                    <th>Emil</th>

                                    <th>Mobile</th>

                                    <th>Location</th>

                                    <th>Skills</th>

                                    <th>Joining Date</th>

                                    <th>Action</th>

                                    <!-- <th>Action</th> -->

                                </tr>

                            </thead>

                            <tbody>

                              @foreach($teches as $index => $element)

                                <tr>

                                    <td>{{$index+1}}</td>

                                    <td>{{$element->tc_name}}</td>

                                    <td>{{$element->tc_email}}</td>

                                    <td>{{$element->tc_phn}}</td>

                                    <td>{{$element->loc_name}}</td>

                                    <td>{{$element->tc_skill}}</td>

                                    <td>{{$element->tc_join_date}}</td>

                                    <!-- <td><div class="activeTab">

                                      <a class="active_btn"><button class="edit-modal btn btn-success"> <span class="glyphicon glyphicon-ok-sign"></span> Active </button></a>

                                      <a><button class="delete-modal btn btn-warning"> <span class="glyphicon glyphicon-minus-sign"></span> Inactive </button></a>

                                        </div></td> -->

                                    <td><a class="btn btn-primary" href="{{ route('tech.edit', array('id' => $element->id)) }}">

                                      <span class="glyphicon glyphicon-edit"></span> Edit

                                    </a>

                                    <button class="btn btn-danger" data-id="{{$element->id}}" data-title="{{$element->tc_name}}" onclick="del_tec(<?php echo $element->id?>)">

                                  <span class="glyphicon glyphicon-trash"></span> Delete

                    </button>

                                </td>

                                </tr>

                                @endforeach



                            </tbody>

                        </table>

                    </div><!-- /.box-body -->

                </div><!-- /.box -->



            </div>

        </div>



    </section><!-- /.content -->

</aside><!-- /.right-side -->

@endsection
<script type="text/javascript">

    function del_tec(stId) {
         swal({
            title: "Are you sure?",
            text: "You will not be able to recover this data!",
            type: "warning",
            showCancelButton: true,
            confirmButtonClass: "btn-danger",
            confirmButtonText: "Yes, delete it!",
            cancelButtonText: "No, cancel the actions!",
            closeOnConfirm: false,
            closeOnCancel: false
         },

         function(isConfirm) {
            if (isConfirm) {
               //swal("Deleted!", "State has been deleted.", "success");

               //ajax delete data to database country.destroy
               $.ajax({
                  type: "GET",
                  // url: '<?php //echo url('/delete_con')?>/'
                   url: "{{url('/delete_techs')}}/"+stId,
                  //data: {id:stId},

                  //dataType: "JSON",

                  success: function(data) {
                     //table.ajax.reload(null, false); //just reload table
                      $("#techlist").load(window.location + "#techlist");
                       swal("Deleted!", "Engineer has been deleted.", "success");
                 },
                  error: function(jqXHR, textStatus, errorThrown) {
                     alert('Error deleting data');
                 }
               });
            } else {

               swal("Cancelled", "Data is safe :)", "error");

            }

         });

      }  



</script>

