@extends('layouts.cdashboard')



@section('content')

            <!-- Right side column. Contains the navbar and content of the page -->

            <aside class="right-side">

                <!-- Content Header (Page header) -->

                <section class="content-header">

                    <h1>

                       FSR Report

                    </h1>

                    <!-- <ol class="breadcrumb">

                        <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>

                        <li class="active">FE Assistance</li>

                    </ol> -->

                </section>



                <!-- Main content -->

                <section class="content">

                    <div class="row">

                        <div class="col-md-12">



                            <div class="box box-danger box-widget">
                                <div class="widget-head clearfix">
                                    <span class="h-icon"><i class="fa fa-align-justify"></i></span>

                                    <h4 class="box-title">FE Assistance</h4>

                                </div>

                                <div class="box-body">

                                

                                <div class="col-md-12" style="margin-bottom:20px;">

                                    <table id="example2" class="table dt-table table-striped table-hover table-bordered matmix-dt">

                                            <thead style="background:#e9e9e9;">

                                                <tr>

                                                    <th>Sl No</th>

                                                    <th>Skills</th>

                                                    <th>No:of FE needed</th>

                                                    <th>Date</th>

                                                    <th>Time</th>

                                                   

                                                    <th>Action</th>

                                                    

                                                </tr>

                                            </thead>

                                            <tbody>

                                            @foreach ($assis as $index => $element)

                                                <tr>

                                                    <td>{{$index+1}}</td>

                                                    <td>{{$element->skills}}</td>

                                                    <td>{{$element->no_fe}}</td>

                                                    <td><?php echo date('d-m-y',strtotime($element->date))?></td>

                                                    <td><?php echo date('h:i a',strtotime($element->time))?></td>

                                                    

                                                    <td><a class="btn btn-primary" href="{{ route('assistance.edit', array('id' => $element->id)) }}">

<span class="glyphicon glyphicon-edit"></span> Edit

</a>

{{ Form::open(array('method'

=> 'DELETE', 'route' => array('assistance.destroy', $element->id), 'style' => 'display:inline !important;')) }}<button class="btn btn-danger" data-id="{{$element->id}}" data-title="{{$element->loc_name}}">

<span class="glyphicon glyphicon-trash"></span> Delete

</button>



{!! Form::close() !!}





</td>

                                                    

                                                </tr>

                                                

                                             @endforeach    

                                            </tbody>

                                        </table>

                                </div>

                                </div><!-- /.box-body -->

                            </div><!-- /.box -->



                            <!-- /.box -->



                        </div><!-- /.col (left) -->

                    </div><!-- /.row -->                    



                </section><!-- /.content -->

            </aside><!-- /.right-side -->

@endsection

