@extends('layouts.cdashboard')
@section('content')

 <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        Ticket Tracking
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active">Ticket Tracking</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-md-12">

                            <div class="box box-danger box-widget">
                                <div class="widget-head clearfix">
                                    <span class="h-icon"><i class="fa fa-align-justify"></i></span>
                                    <h4 class="box-title">Ticket Tracking ID</h4>
                                </div>
                                <div class="box-body">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Enter Ticket ID</label>
                                {!!  Form::open(['action' => 'TicketController@serachticketCus', 'method' => 'post']) !!}
                                {{ csrf_field() }}
                                        <div class="input-group">
                                            <div class="input-group-addon">
                                                <i class="fa fa-map-marker" aria-hidden="true"></i>
                                            </div>
                                            <input type="text" name="search" id="search" class="form-control" style="float:left; width:75%; margin-right:5px;" placeholder="TIC00000" />
                                            <button type="submit" name="ser" id="ser" class="btn btn-danger">Search</button>
                                        </div>
                                        {!! Form::close() !!}
                                    </div>
                                </div>
                                </div>
                                </div>
                                <div class="box box-danger box-widget">
                                <div class="widget-head clearfix">
                                    <span class="h-icon"><i class="fa fa-align-justify"></i></span>
                                    <h4 class="box-title">Ticket Tracking</h4>
                                </div><!-- /.box-header -->
                                <div class="col-md-12 box-body">
                                    <table id="example2" class="table dt-table table-striped table-hover table-bordered matmix-dt">
                                        <thead style="background:#e9e9e9;">
                                            <tr>
                                                <th width="6%">Ticket ID</th>
                                                <th width="11%">OEM</th>
                                                <th width="16%">OEM Model</th>
                                                <th width="10%">Part Number</th>
                                                <th width="11%">Ticket Subject</th>
                                                <th width="31%">Ticket Description</th>
                                                
                                                <th width="15%">Status</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach($tickets as $index => $element)
                                            <tr>
                                                <td><a href="{{ url('cshow', $element->id) }}">TIC000{{$element->id}}</a></td>
                                                <td>{{ $element->oem_name ? : 'Nill' }}</td>
                                                <td>{{ $element->mod_name ? : 'Nill' }}</td>
                                                <td>{{ $element->prt_no ? : 'Nill' }}</td>
                                                <td>{{$element->tic_subject}}</td>
                                                <td>{{$element->tic_desc}}</td>
                                               
                                    <td>
                                    <a class="btn btn-primary" href="{{ url('cedit', $element->id) }}">
                                      <span class="glyphicon glyphicon-edit"></span> Edit
                                    </a></td>
                                </tr>
                                @endforeach
                                            
                                        </tbody>
                                    </table>
                                </div>
                                </div><!-- /.box-body -->
                            </div><!-- /.box -->

                            <!-- /.box -->

                        </div><!-- /.col (left) -->
                    </div><!-- /.row -->                    

                </section><!-- /.content -->
            </aside>       
@endsection
