@extends('layouts.tdashboard')

@section('content')



<aside class="right-side">

    <!-- Content Header (Page header) -->

    <section class="content-header">

        <h1>

            CSV Asset Upload

        </h1>

        <!-- <ol class="breadcrumb">

            <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>

            <li class="active">CSV Asset Upload</li>

        </ol> -->

    </section>



    <!-- Main content -->

    <section class="content">

        <div class="row">

            <div class="col-md-12">



                <div class="box box-danger box-widget">
                                <div class="widget-head clearfix">
                                    <span class="h-icon"><i class="fa fa-align-justify"></i></span>
                                    <h4 class="box-title">CSV Upload</h4>
                                </div><!-- /.box-header -->
                                <div class="box-body table-responsive">



		  		@if ($message = Session::get('success'))

					<div class="alert alert-success" role="alert">

						{{ Session::get('success') }}

					</div>

				@endif



				@if ($message = Session::get('error'))

					<div class="alert alert-danger" role="alert">

						{{ Session::get('error') }}

					</div>

				@endif



				<h3>Import File Form:</h3>

				<form style="border: 4px solid #a1a1a1;margin-top: 15px;padding: 20px;" action="{{ URL::to('importExcel') }}" class="form-horizontal" method="post" enctype="multipart/form-data">



					<input type="file" name="import_file" />

					{{ csrf_field() }}

					<br/>



					<button class="btn btn-primary">Import CSV File</button>



				</form>

				<br/>

                <p><a href="<?php echo URL::to('/'); ?>/img/CSV.csv" target="_blank">Click here</a> for sample CSV file</p>





		    	<!-- <h3>Import File From Database:</h3>

		    	<div style="border: 4px solid #a1a1a1;margin-top: 15px;padding: 20px;">

			    	<a href="{{ url('downloadExcel/xls') }}"><button class="btn btn-success btn-lg">Download Excel xls</button></a>

					<a href="{{ url('downloadExcel/xlsx') }}"><button class="btn btn-success btn-lg">Download Excel xlsx</button></a>

					<a href="{{ url('downloadExcel/csv') }}"><button class="btn btn-success btn-lg">Download CSV</button></a>

		    	</div> -->

                    </div><!-- /.box-body -->

                </div><!-- /.box -->



                <!-- /.box -->



            </div><!-- /.col (left) -->

        </div><!-- /.row -->



    </section><!-- /.content -->

</aside><!-- /.right-side -->

<script type="text/javascript">

// Fake file upload

document.getElementById('fake-file-button-browse').addEventListener('click', function() {

document.getElementById('files-input-upload').click();

});



document.getElementById('files-input-upload').addEventListener('change', function() {

document.getElementById('fake-file-input-name').value = this.value;



document.getElementById('fake-file-button-upload').removeAttribute('disabled');

});

</script>

@endsection

