<?php $__env->startSection('content'); ?>
<aside class="right-side">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Update Customer
        </h1>
        <!-- <ol class="breadcrumb">
            <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Update Customer</li>
        </ol> -->
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-md-12">

                <div class="box box-danger box-widget">
                    <div class="widget-head clearfix">
                        <span class="h-icon"><i class="fa fa-align-justify"></i></span>
                        <h4 class="box-title">Update Customer</h4>
                    </div>
                  <?php echo Form::model($customer,['method' => 'PATCH','route'=>['customer.update',$customer->id],'id'=>'formCusEdit', 'class' => 'form-horizontal form-label-left', 'enctype' => 'multipart/form-data']); ?>

                      <?php echo e(csrf_field()); ?>

                    <div class="box-body">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Contact Person</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                                </div>
                                <input type="text" class="form-control" name="name" id="name" required="required" value="<?php echo e($customer->c_name ? : old('c_name')); ?>" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label>Company Name</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                                </div>
                                <input type="text" class="form-control" name="com_name" id="com_name" value="<?php echo e($customer->cmpy_name ? : old('cmpy_name')); ?>" required="required" />
                            </div>
                        </div>
                        
                        <div class="form-group">
                            <label>Email ID</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                                </div>
                                <input type="text" class="form-control" name="email" id="email" value="<?php echo e($customer->c_email ? : old('c_email')); ?>" required="required"/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label>Contact Number</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                                </div>
                                <input type="text" class="form-control" name="number" id="number" value="<?php echo e($customer->c_phn ? : old('c_phn')); ?>" required="required"/>
                            </div>
                        </div>

    </div>
                        <div class="col-md-6">
                        <div class="form-group">
                            <label>Location</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                                </div>
                                <select class="form-control" name="location" id="location" required>
                                    <option>Select Location</option>
                                      <?php $__currentLoopData = $locations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $element): $__env->incrementLoopIndices(); $loop = $__env->getFirstLoop(); ?>
                                    <option value="<?php echo e($element->id); ?>" <?php echo e($element->id == $customer->loc_id ? 'selected="selected"': ''); ?>><?php echo e($element->loc_name); ?></option>
                                      <?php endforeach; $__env->popLoop(); $loop = $__env->getFirstLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                                <label>Contract Type</label>
                                <select class="form-control" name="contract" id="contract" required="required">
                                    <option>Select Contract</option>
                                    <?php $__currentLoopData = $contracts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $element): $__env->incrementLoopIndices(); $loop = $__env->getFirstLoop(); ?>
                                  <option value="<?php echo e($element->id); ?>" <?php echo e($element->id == $customer->c_con_type ? 'selected="selected"': ''); ?>><?php echo e($element->cont_name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getFirstLoop(); ?>
                                </select>
                            </div>
                            <?php                            
                            if($customer->c_con_type==4)
                              $style='style="display: show"';
                            else
                              $style='style="display: none"';                           
                            ?>
                          <div id="dvPassport" <?php echo $style?>>  
                                 
                                    <div class="form-group">
                                            <label>Choose SLA</label>
                                            <select class="form-control" name="sla" id="sla">
                                            <option value="">Select</option>

                            <option value="24x7x52" <?php if($customer->c_sla == '24x7x52'): ?> selected="selected" <?php endif; ?>>24x7x52</option>
                            <option value="24x7x8" <?php if($customer->c_sla == '24x7x8'): ?> selected="selected" <?php endif; ?>>24x7x8</option>                  
                            <option value="24x7x4" <?php if($customer->c_sla == '24x7x4'): ?> selected="selected" <?php endif; ?>>24x7x4</option>
                            <option value="9x5" <?php if($customer->c_sla == '9x5'): ?> selected="selected" <?php endif; ?>>9x5</option>
                            <option value="NBD" <?php if($customer->c_sla == 'NBD'): ?> selected="selected" <?php endif; ?>>NBD</option>
                                </select>
                                        </div>
                                
                          
                          
                        </div>
                          <div class="form-group">
                              <label>password</label>
                              <div class="input-group">
                                  <div class="input-group-addon">
                                      <i class="fa fa-map-marker" aria-hidden="true"></i>
                                  </div>
                                  <input type="password" class="form-control" name="password" id="password"  value="<?php echo e($customer->c_pwd ? : old('c_pwd')); ?>" required="required"/>
                              </div>
                          </div>
                        </div>

                        <div class="col-lg-12">
                            <div class="form-group">
                              <label>Communication Address</label>
                              <textarea class="form-control" rows="4" placeholder="Address" name="address" id="address" required="required"><?php echo e($customer->c_address ? : old('c_address')); ?></textarea>
                            </div>
                        </div>

                        <div class="col-lg-12" align="center" style="margin:10px 0px 20px;">
                          <button type="submit" class="btn btn-danger">Update Customer</button>
                            <button type="submit" class="btn bg-black">Cancel</button>
                        </div>

                    </div><!-- /.box-body -->
                      <?php echo Form::close(); ?>

                </div><!-- /.box -->

                <!-- /.box -->

            </div><!-- /.col (left) -->
        </div><!-- /.row -->

    </section><!-- /.content -->
</aside>
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
<script type="text/javascript">
    $(function () {
        $("#contract").change(function () {
            if ($(this).val() == 4) {
                $("#dvPassport").show();
            } else {
                $("#dvPassport").hide();
            }
        });
    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.dashboard', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>